<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
class Bin_Core_Assembler
{
	
	private $do;
		
	public function __construct()
	{
		include(ROOT_FOLDER.'Built/'.CURRENT_FOLDER."/Dll.php");	
		if(isset($_GET['action']) && isset($_GET['action']{1}))
			$this->do = trim($_GET['do']).':'.trim($_GET['action']);
		else
			$this->do = trim($_GET['do']);
			
		if(array_key_exists($this->do,$domapping))
		{
			if(!(int)$domapping[$this->do]['loadlib'])
			{
				$this->loadModelFiles($domapping, $globalmapping);			
			}
			else
			{
				$this->loadSystemFiles($system);	
				$this->loadLibrayFiles($libraries);				
				$this->loadModelFiles($domapping, $globalmapping);			
			}
		}
		else
		{
			if(!(int)$globalmapping['invalidrequest']['loadlib'])
			{
				$this->loadModelFiles($domapping, $globalmapping);			
				
			}
			else
			{
				$this->loadSystemFiles($system);	
				$this->loadLibrayFiles($libraries);				
				$this->loadModelFiles($domapping, $globalmapping);			
			}		
		}
	}
	
	
	private function loadSystemFiles($system)
	{
		foreach($system as $key=>$item)	
			include_once(ROOT_FOLDER.$item);	
	}
	
	
	
	private function loadLibrayFiles($library)
	{
		foreach($library as $key=>$item)	
			include(ROOT_FOLDER.$item);	
	}
	
	private function loadModelFiles($domapping,$globalmapping)
	{

		/* For valid do mapping urls like http://www.sitename.com/?do=indexpage */
		if(array_key_exists($this->do,$domapping)) 
		{
			include_once('classes/Model/'.$domapping[$this->do]['model'].'.php');
			$class = "Model_".$domapping[$this->do]['model'];			
			$function = $domapping[$this->do]['function'];
			$obj = new $class;
			$obj->$function();			
		}

		/* For default url like http://www.sitename.com/ */
		/*else if($this->do=='') 
		{
			include_once('classes/Model/'.$globalmapping[$this->do]['model'].'.php');
			$class = "Model_".$globalmapping[$this->do]['model'];					
			$function = $globalmapping[$this->do]['function'];		
			$obj = new $class;	
			$obj->$function();
		}*/
		
		/* For the non existing urls like http://www.sitename.com/?do=nonexistdovariable*/
		else  
		{
			include_once('classes/Model/'.$globalmapping['invalidrequest']['model'].'.php');
			$class = "Model_".$globalmapping['invalidrequest']['model'];					
			$function = $globalmapping['invalidrequest']['function'];		
			$obj = new $class;	
			$obj->$function();
		}
	}	
}
?>