<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V2.3.

* ZeusCart V2.3 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V2.3 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
/**
 * CSubAdminManagement
 *
 * This class contains functions to displays the customer group available in the database
 *
 * @package		Core_CCustomerGroup
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


 class Core_CCustomerGroup
{
 	
	/**
	 * Function gets and displays the customer group  details from the database
	 * 
	 * 
	 * @return string
	 */
	  function displayCustomerGroup($Err)	 
	 {
	  	
	 	return Display_DCustomerGroup::displayCustomerGroup($Err);
	 } 
	 
	/**
	 * Function gets and displays the customer group from the database
	 * 
	 * 
	 * @return string
	 */
	 
	function displayAjaxCustGroup($Err)
	{
	   $pagesize=10;
	   if(isset($_GET['page']))
		{
		    
			$start = trim($_GET['page']-1) *  $pagesize;
			$end =  $pagesize;
		}
		else 
		{
			$start = 0;
			$end =  $pagesize;
		}
		$total = 0;
		$sql='select group_id,group_name,group_discount,group_discnt_type from users_group_table';
		$obj=new Bin_Query();
  	    $obj->executeQuery($sql);
		//{
			$total = ceil($obj->totrows/ $pagesize);
			include('classes/Lib/AjaxPaging.php');
			$tmp = new Lib_AjaxPaging('classic',array('totalpages'=>$total, 'length'=>10),'pagination');
			$this->data['paging'] = $tmp->output;
			$this->data['prev'] =$tmp->prev;
			$this->data['next'] = $tmp->next;
		$sql = "select group_id,group_name,group_discount from users_group_table LIMIT $start,$end";
		$query = new Bin_Query();
		$query->executeQuery($sql);
			return Display_DCustomerGroup::displayAjaxCustGroup($query->records,$Err,$this->data['paging'],$this->data['prev'],$this->data['next']);
	
	
	}
	

	/**
	 * Function display the details for the selected Customer group
	 * 
	 * 
	 * @return string
	 */
	
		
	function displaySelectedGroup()
	{
		 
		 
		     $id=$_GET['id'];
		 
		 $sql='select  group_id,group_name,group_discount  from users_group_table where group_id='.$id;
         $obj1=new Bin_Query();
		 $obj1->executeQuery($sql);
		 return Display_DCustomerGroup::displaySelectedGroup($obj1->records); 
	}
	
	
	/**
	 * Function updates the changes for the selected Customer group  
	 * 
	 * 
	 * @return string
	 */
	
	function updateCustomerGroup()
	{
//	    echo 'Welcome to update';
	//	exit();
	     //  $name= $row[0]['subadmin_name'];
   		 //  $password= $row[0]['subadmin_password'];
  		 //  $email= $row[0]['subadmin_email_id']; 
   		  // $status= $row[0]['subadmin_status']; 
  		$id= $_POST['groupid'];
		$name=$_POST['groupname'];
	    $discount=$_POST['discount'];
		
       if($name=="")
		 {
		   $output['errmsg']='<div class="exc_msgbox">Please Enter the  Group Name</div>';
		   $output['id']=$id;
		   $output['name']=$name;
		   $output['discount']=$discount;
		   return $output;
		  } 
		   
		 if($discount=="")
		 {
	       $output['errmsg']='<div class="exc_msgbox">Please Enter the Discount</div>';
		   $$output['id']=$id;
		   $output['name']=$name;
		   $output['discount']=$discount;
		   return $output;
		   
		   }
		 if(ctype_alpha($discount))
		 {  
	        $output['errmsg']='<div class="exc_msgbox">Please Enter the  Discount in Numbers</div>';
			$output['id']=$id;
		    $output['name']=$name;
		    $output['discount']=$discount;
			 return $output;
	     	 }		
	    
		  if($discount>=100 || $discount<0)
		  {
	          $output['errmsg']= '<div class="exc_msgbox">Please Enter the Discount between 0 to 99</div>';	
			  $output['id']=$id;
		      $output['name']=$name;
		      $output['discount']=$discount;
		      return $output;
		   } 
			
		  if(!is_numeric($discount))
		  {
		  
		    $output['errmsg']='<div class="exc_msgbox"> Numbers Only Allowed in Discount </div>';
		
		      $output['id']=$id;
		      $output['name']=$name;
		      $output['discount']=$discount;
		   
			 return $output;
		  
		  }	
		   else
		   {
		
  //$sql="update subadmin_table set subadmin_name='".$name."',subadmin_password='".base64_encode($password)."',subadmin_email_id='".$email."', subadmin_status=".$status." where subadmin_id=".$id;
        $sql="update users_group_table set group_name='".$name."',group_discount='".$discount."' where group_id=".$id;
 
   	  $obj=new Bin_Query();
	  $obj->updateQuery($sql); 
	  $_SESSION['updatemsg']= '<div class="success_msgbox"> Customer Group  Updated Sucessfully</div>';
	  
	   header("Location:?do=custgroup");  
	 }
	
	
	}
	
	/**
	 * Function deletes a selected customer group from the database
	 * 
	 * 
	 * @return string
	 */
	
	
	function deleteCustomerGroup()
	{
	     $id=$_GET['id'];
		 $sql='delete from users_group_table where group_id='.$id;
         $obj1=new Bin_Query();
		 $obj1->updateQuery($sql);
		 
		 return '<div class="success_msgbox">Customer Group   Deleted Sucessfully</div>';
	}
	
	/**
	 * Function adds a new Customer Group to the database
	 * 
	 * 
	 * @return string
	 */
	
	function insertCustomerGroup()
	{
	   $name=  $_POST['custGroupName'];
  	   $discount= $_POST['discount'];
	   
	   
	     if($name=="")
		 {
		   $output['errmsg']='<div class="exc_msgbox">Please Enter the  Group Name</div>';
		   $output['name']=$name;
		   $output['discount']=$discount;
		   return $output;
		  } 
		   
		 if($discount=="")
		 {
	       $output['errmsg']='<div class="exc_msgbox">Please Enter the Discount</div>';
		   $output['name']=$name;
		   $output['discount']=$discount;
		   return $output;
		   
		   }
		 if(ctype_alpha($discount))
		 {  
	        $output['errmsg']='<div class="exc_msgbox">Please Enter the  Discount in Numbers</div>';
			$output['name']=$name;
			$output['discount']=$discount;
			 return $output;
	      }	
		  
	      if($discount>=100 || $discount<0)
		  {
	         $output['errmsg']= '<div class="exc_msgbox">Please Enter the Discount between 0 to 99</div>';	
		     $output['name']=$name;
			 $output['discount']=$discount;
			 return $output;
		   }
		    if(!is_numeric($discount))
		  {
		  
		    $output['errmsg']='<div class="exc_msgbox"> Numbers Only Allowed in Discount </div>';
		
		    $output['name']=$name;
		    $output['discount']=$discount;
			 return $output;
		  
		  }	
		   else
		   {
			
	
		    $sql="insert into users_group_table (group_name,group_discount)values('".$name."','".$discount."')";
		    $obj=new Bin_Query();
  	   		$obj->updateQuery($sql);
			$_SESSION['addmsg'] ='<div class="success_msgbox" > Customer Group Added Sucessfully </div>';
		   }	
	   
	
	}
	
	/**
	 * Function checks whether the Customer Group exists.
	 * 
	 * 
	 * @return bool
	 */
	
	function checkCustGroupExists()
	{
		$name=  $_POST['custGroupName'];
		
		$sql="select count(*) as cnt from users_group_table where group_name='".$name."'";
		$obj1=new Bin_Query();
		$obj1->executeQuery($sql);
		
		
		if ($obj1->records[0]['cnt'] > 0 )
			return true;
		else
			return false;
	}
}
?>