<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * CFaq
 *
 * This class contains functions to get, add, edit and delete FAQs .
 *
 * @package		Core_CFaq
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Core_CFaq 
{
	
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	

	var $output = array();	
	
	/**
	 * Stores the resultset
	 *
	 * @var array $arr
	 */	
	
    var $arr = array();	
	
	
	 function showFaqhead()	 
	 {
	 	return Display_DFaq::showFaqhead();
	 } 

	
	/**
	 * Function gets the list of FAQs available in the database
	 * 
	 * 
	 * @return string
	 */
		

	function listFaq()
	{
		$pagesize=10;
		if(isset($_GET['page']))
		{
		    
			$start = trim($_GET['page']-1) *  $pagesize;
			$end =  $pagesize;
		}
		else 
		{
			$start = 0;
			$end =  $pagesize;
		}
		$total = 0;

		$sql="select * from faq_table";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{	
			$total = ceil($query->totrows/ $pagesize);
			include('classes/Lib/AjaxPaging.php');
			$tmp = new Lib_AjaxPaging('classic',array('totalpages'=>$total, 'length'=>10),'pagination');
			$this->data['paging'] = $tmp->output;
			$this->data['prev'] =$tmp->prev;
			$this->data['next'] = $tmp->next;	
		}
		$sql="select * from faq_table LIMIT $start,$end";
		$query = new Bin_Query();
		$query->executeQuery($sql);
		{		
			return  Display_DFaq::listFaq($query->records,$this->data['paging'],$this->data['prev'],$this->data['next'],$start);
		}
	}
	
	/**
	 * Function insert a new FAQ into the table 
	 * 
	 * 
	 * @return string
	 */
		
	
	function add()
	{
		$qn=$_POST['qn'];
		$ans=$_POST['ans'];
		if ( ($qn!='') && ($ans!='') )
		{
			$sql="insert into faq_table (faq_qn,faq_ans) values('".$qn."','".$ans."')";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return "<div class='success_msgbox'>FAQ Added Successfully!</div>";
		}
		else
			return "<div class='exc_msgbox'>Empty Values Cannot Be Added</div>";
	}
	
	/**
	 * Function updates the changes in the FAQ 
	 * 
	 * 
	 * @return string
	 */
	
	function edit()
	{
		if(isset($_SESSION['fqid']))
			$id=$_SESSION['fqid'];
		$qn=$_POST['qn'];
		$ans=$_POST['ans'];
		$id=$_POST['hidid'];
		if($id!=''&&$id!=0)
		{
			if ( ($qn!='') && ($ans!='') )
			{
				$sql="update faq_table set faq_qn='".$qn."',faq_ans='".$ans."' where faq_id=".$id;
				$query = new Bin_Query();
				$query->executeQuery($sql);
				if(isset($_SESSION['fqid']))
				unset($_SESSION['fqid']);
				return "<div class='success_msgbox'>Updated Successfully!</div>";
			}
			else
			{
				$_SESSION['fqid']=$id;
				return "<div class='exc_msgbox'>Empty Values Cannot Be Saved</div>";
			}
		}
		
		else
		{
			if ( ($qn!='') && ($ans!='') )
			{
			$sql="insert into faq_table (faq_qn,faq_ans) values('".$qn."','".$ans."')";
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return "<div class='success_msgbox'>Added Successfully!</div>";
			}
			else
				return "<div class='exc_msgbox'>Empty Values Cannot Be Added</div>";
		}
		
	}
	
	/**
	 * Function deletes FAQ 
	 * 
	 * 
	 * @return string
	 */
	
	
	function delete()
	{
		$id=(int)$_GET['id'];
		$sql="delete from faq_table where faq_id=".$id;;
		$query = new Bin_Query();
		$query->executeQuery($sql);
		return "<div class='success_msgbox'>Deleted Successfully!</div>";
	}
	
	/**
	 * Function get the details for the selected FAQ 
	 * @param array $result
	 * 
	 * @return string
	 */
	
	function show($result='')
	{
		$id=(int)$_GET['id'];
		if($id!=''&&$id>0)
		{
			$sql="select * from faq_table where faq_id=".$id;
			$query = new Bin_Query();
			$query->executeQuery($sql);
			return Display_DFaq::show($result,$query->records[0]);
		}
		else
			return Display_DFaq::show($result,'');
	}
}
?>