<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * CProductInventoryManagement
 *
 * This class contains functions to get and update the inventory details 
 *
 * @package		Core_CProductInventoryManagement
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

 class Core_CProductInventoryManagement
{
 	 
	
     function showInventryForm()	 
	 {
	 	return Display_DProductInventoryManagement::showInventryForm();
	 } 

	
	 /**
	 * Function gets the inventory details from the database
	 * 
	 * 
	 * @return string
	 */
	
	 
	 function dispInventory()
	{
		$pagesize=10;
	   if(isset($_GET['page']))
		{
		    
			$start = trim($_GET['page']-1) *  $pagesize;
			$end =  $pagesize;
		}
		else 
		{
			$start = 0;
			$end =  $pagesize;
		}
		$total = 0;
		
	
	   $sql='select a.*,b.title,b.digital from product_inventory_table a inner join products_table b on a.product_id=b.product_id';
	  
	   $query = new Bin_Query();
		if($query->executeQuery($sql))
		{	
			$total = ceil($query->totrows/ $pagesize);
			include_once('classes/Lib/AjaxPaging.php');
			$tmp = new Lib_AjaxPaging('classic',array('totalpages'=>$total, 'length'=>10),'pagination');
			$this->data['paging'] = $tmp->output;
			$this->data['prev'] =$tmp->prev;
			$this->data['next'] = $tmp->next;
			
			$sql1 = "select a.*,b.title,b.digital from product_inventory_table a inner join products_table b on a.product_id=b.product_id  LIMIT $start,$end";
			$query1 = new Bin_Query();
			
			if($query1->executeQuery($sql1))
			{
	 		  return Display_DProductInventoryManagement::dispInventory($query1->records,$this->data['paging'],$this->data['prev'],$this->data['next']);
			}
		}
		else
		{
			return "No Inventory Found";
		}
	  
	  
	  
	  
	  // $obj=new Bin_Query();
	   //$obj->executeQuery($sql);
	  // return Display_DProductInventoryManagement::dispInventory($obj->records);
	}
	
	/**
	 * Function gets the inventory details from the database
	 * 
	 * 
	 * @return string
	 */
	
	function editInventory()
	{
	   $id=$_GET['id']; 
	   $sql='select a.*,b.title from product_inventory_table a inner join products_table b on a.product_id=b.product_id where a.inventory_id='.$id;
	   $obj=new Bin_Query();
	   $obj->executeQuery($sql);
	   return Display_DProductInventoryManagement::editInventory($obj->records);
	}
	
	/**
	 * Function deletes the selected inventory from the database
	 * 
	 * 
	 * @return string
	 */
	function deleteInventory()
	{
	    $id=$_GET['id'];
	    $sql='delete from product_inventory_table where inventory_id='.$id;
	   $obj=new Bin_Query();
	   $obj->updateQuery($sql);
	}
	
	/**
	 * Function updates the inventory details to the database
	 * 
	 * 
	 * @return string
	 */
	
	function updateInventory()
	{
	    $id=(int)$_POST['invid'];
		$rol=(int)$_POST['rol'];
		$soh=(int)$_POST['soh'];
		$sql="update product_inventory_table set rol=".$rol.", soh=".$soh." where inventory_id=".$id;
	    $obj=new Bin_Query();
	    $obj->updateQuery($sql);
	
	}
}
?>