<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * CAddAttributes
 *
 * This class contains functions to edit and delete attributes from the database
 *
 * @package		Core_Settings_CAddAttributes
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Core_Settings_CAddAttributes 
{
	
	
	/**
	 * Function displays all the attributes from the table
	 * 
	 * 
	 * @return string
	 */	 	
	 
	 
	  function showAttributes($Err)	 
	 {
	    include_once("classes/Display/DAddAttributes.php");
	 	return Display_DAttributeSelection::listAttribute($Err);
	 } 
	 
	
	function showAjaxAttributes($Err)
    {
        include_once("classes/Display/DAddAttributes.php");			
		$pagesize=25;
	   if(isset($_GET['page']))
		{
		    
			$start = trim($_GET['page']-1) *  $pagesize;
			$end =  $pagesize;
		}
		else 
		{
			$start = 0;
			$end =  $pagesize;
		}
		$total = 0;
		
		$sql = "SELECT * FROM attribute_table order by attrib_name asc ";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{	
			$total = ceil($query->totrows/ $pagesize);
			include('classes/Lib/AjaxPaging.php');
			$tmp = new Lib_AjaxPaging('classic',array('totalpages'=>$total, 'length'=>10),'pagination');
			$this->data['paging'] = $tmp->output;
			$this->data['prev'] =$tmp->prev;
			$this->data['next'] = $tmp->next;	
		$sql = "select * from attribute_table LIMIT $start,$end";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
			return Display_DAttributeSelection::listAttributeAjax($query->records,$this->data['paging'],$this->data['prev'],$this->data['next'],$start);
		}
		else
		{
		return '<div class="exc_msgbox">Attributes Not Found</div>';
		}
	}
	
	
	
	
	
	/**
	 * Function inserts an new attribute into the table 
	 * 
	 * 
	 * @return string
	 */	 	
	 
	function addAttributes()
	{ 
		
		if($_POST['attributes']=='')
		{
		return '<div class="exc_msgbox">Please Enter Attribute Name</div>';
		}
		else
		{		
		
			$sql = "SELECT * FROM attribute_table WHERE attrib_name ='".$_POST['attributes']."'";
			$query = new Bin_Query();
			if($query->executeQuery($sql))
			{
				return '<div class="exc_msgbox">Already this Attribute is Added</div>';
			}
			else
			{
				$sql = "INSERT INTO attribute_table (attrib_name) VALUES ('".$_POST['attributes']."')";
				
				$query = new Bin_Query();
				if($query->updateQuery($sql))
				{
					return '<div class="success_msgbox">Attribute <b>'.$_POST['attributes'].'</b> Added Successfully</div>';
				}
			}
		}
	}
	/**
	 * Function displays the attributes for updation from the table 
	 * 
	 * 
	 * @return string
	 */	 	
	function displayAttributes()
    {
		include("classes/Display/DAddAttributes.php");
       
		$sql = "SELECT * FROM attribute_table where attrib_id=".(int)$_GET['id'];
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			
			return  Display_DAttributeSelection::displayAttributes($query->records);
		}
		else
		{
			return '<div class="success_msgbox">Attributes Not Found</div>';
		}
	}
	/**
	 * Function updates the changes made in the attribute table
	 * 
	 * 
	 * @return string
	 */	 	
	function editAttributes()
	{
		
		if($_POST['attributes']=='')
		{
		return '<div class="exc_msgbox">Please Enter Attribute Name</div>';
		}		
				
		$sql = "UPDATE attribute_table SET attrib_name = '".$_POST['attributes']."' WHERE attrib_id =".(int)$_GET['id'];
			
		$query = new Bin_Query();
		if($query->updateQuery($sql))
		{
			return '<div class="success_msgbox"><b>'.$_POST['attributes'].'</b> Updated Successfully</div>';
		}
		else
		{
			return '<div class="exc_msgbox">Not Updated!!! Try Again.</div>';
		}	
	}
	
	/**
	 * Function deletes the attribute from the table 
	 * 
	 * 
	 * @return string
	 */	 	
	
	function deleteAttributes()
	{
			
			if($_GET['id']=='')
			{
			return '<div class="exc_msgbox">Please Select Any One Attribute Name For Deletion</div>';
			}		
			
			
			$sql = "DELETE FROM attribute_table WHERE attrib_id=".(int)$_GET['id'];
			$query = new Bin_Query();
			$query->updateQuery($sql);
			
			
			$sql = "DELETE FROM attribute_value_table WHERE attrib_id=".(int)$_GET['id'];
			$query = new Bin_Query();
			if($query->updateQuery($sql))
			{
				return '<div class="success_msgbox">Deleted Successfully</div>';
			}
			else
			{
				return '<div class="exc_msgbox">Not Deleted!!! Try Again.</div>';
			}
			
	}

}
?>