<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/
/**
 * CHomePageBanner
 *
 * This class contains functions to get and update the home page banners from the database
 *
 * @package		Core_Settings_CHomePageBanner
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Core_Settings_CHomePageBanner
{
	
	/**
	 * Function gets the home page banner details from the database
	 * 
	 * 
	 * @return string
	 */	 	
	
 	function homePageBanner()
	{
		$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Homepage Banner Image'";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			return Display_DHomePageBanner::homePageBanner($query->records);
		}
		else
		{
			return '<div class="success_msgbox" style="width:645px;">Not Found</div>';
		}
	}
	
	/**
	 * Function gets the home page banner url from the database
	 * 
	 * 
	 * @return string
	 */	 	
	
	function homePageBannerUrl()
	{
		$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Homepage Banner URL'";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			return Display_DHomePageBanner::homePageBannerUrl($query->records);
		}
		else
		{
			return '<div class="success_msgbox" style="width:645px;">Not Found</div>';
		}
	}
	
	/**
	 * Function updates the changes made in the Home Page Banner into the database
	 * 
	 * 
	 * @return string
	 */	 	
	
	
	function updateHomePageBanner()
	{
		
		include('classes/Lib/FileOperations.php');
		include("classes/Lib/ThumbImage.php");
		//if(isset($_FILES['banner']['tmp_name']))
		if($_FILES['banner']['tmp_name']!='')
		{
			
			$fname=date("Y-m-d-His").$_FILES['banner']['name']; // generate new file name
			$bannerpath="images/banner/".$fname; // concat the new file with image folder and thumb image folder for database 
			$uploadfile = ROOT_FOLDER . $bannerpath; // actual image upload path
			$imageDir=ROOT_FOLDER."images/banner";

			$file= new Lib_FileOperations();
			$file->uploadFile($_FILES['banner']['tmp_name'],$uploadfile);
			new Lib_ThumbImage('thumb',$uploadfile,$imageDir,'564');

			$sql = "UPDATE admin_settings_table SET set_value='".$bannerpath."' where set_name='Homepage Banner Image'";
			$query = new Bin_Query();
			if($query->updateQuery($sql))
			{		
				$sql = "UPDATE admin_settings_table SET set_value='".$_POST['url']."' where set_name='Homepage Banner URL'";
				$query = new Bin_Query();
				if($query->updateQuery($sql))
					return '<div class="success_msgbox" style="width:645px;">Site Home Page Banner Updated Successfully</div>';
			}
			else
				return '<div class="error_msgbox" style="width:645px;">Not Updated </div>';
		}	
	}
	
	
}
?>