<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V2.3.

* ZeusCart V2.3 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V2.3 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * CSiteSettings
 *
 * This class contains functions to get and update the site moto details from the database
 *
 * @package		Core_Settings_CSiteSettings
 * @category	Core
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Core_Settings_CSiteSettings 
{
	
	
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	
	 
	var $output = array();
	
	/**
	 * Stores the error messages
	 *
	 * @var array $errormessages
	 */	
	
	var $errormessages = array();
	
	/**
	 * Function gets the site moto details from the database 
	 * 
	 * 
	 * @return string
	 */	 	
		
	function siteMoto()
	{
			$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Site Moto'";
			$query = new Bin_Query();
			if($query->executeQuery($sql))
			{				
				return Display_DSiteSettings::siteMotoNew($query->records);
			}
			else
			{
				return '<div class="error_msgbox" style="width:880px;">Site Moto Settings Not Found</div>';
			}
	}
	
	/**
	 * Function updates the changes made in the site moto details into the table 
	 * 
	 * 
	 * @return string
	 */	 	
	
	function updateSiteMoto()
	{
		$sql = "UPDATE admin_settings_table SET set_value='".$_POST['moto']."' where set_name='Site Moto'";
			$query = new Bin_Query();
			if($query->updateQuery($sql))
			{				
				//return '<div class="success_msgbox" style="width:644px;">Site Moto Successfully Changed to <b> '.$_POST['moto'].'</b>. </div>';
				return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
			}
			else
			{
				return '<div class="error_msgbox" style="width:880px;">Site Moto Settings Not Found</div>';
			}
	}
	
	/**
	 * Function gets the site logo details from the database 
	 * 
	 * 
	 * @return string
	 */	 	
	 
	function siteLogo()
	{
		$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Site Logo'";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			return Display_DSiteSettings::siteLogo($query->records);
		}
	}	
	
	/**
	 * Function updates the changes in the site logo into the database 
	 * 
	 * 
	 * @return string
	 */	 	
	
	function updateSiteLogo()
	{
		//Core_Settings_CSiteSettings::validationPage();
//		if($flag=="1")
//			return '<div class="error_msgbox" style="width:880px;">Invalid image file.Please try again !</div>';
		include('classes/Lib/FileOperations.php');
		include("classes/Lib/ThumbImage.php");
		if($_FILES['logo']['name']!='')
		{
			if(($_FILES['logo']['type'] != "image/jpeg") && ($_FILES['logo']['type'] != "image/pjpeg") && ($_FILES['logo']['type'] != "image/png") && ($_FILES['logo']['type'] != "image/gif") && ($_FILES['logo']['type'] != "image/bmp") && ($_FILES['logo']['type'] != "image/swf")) 
			{
				return '<div class="error_msgbox" style="width:880px;">Invalid image file.Please try again !</div>';
			}	
			
			$sfile=$_FILES['logo']['tmp_name'];
			$dbpath="images/logo/".date("Y-m-d-His").$_FILES['logo']['name'];		
			
			$file= new Lib_FileOperations();
			$file->uploadFile($sfile,ROOT_FOLDER.$dbpath);
			
			list($img_w,$img_h, $type, $attr) = getimagesize($sfile);			

			if($img_h > 70)
				return '<div class="error_msgbox" style="width:880px;">The Height of the logo should be lessthan or equal to 70px to suit properly.</div>';				
			
			if($img_w > 253)
				new Lib_ThumbImage('thumb',ROOT_FOLDER.$dbpath,ROOT_FOLDER."images/logo",253);
			
			$sql = "UPDATE admin_settings_table SET set_value='".$dbpath."' where set_name='Site Logo'";
			$query = new Bin_Query();
			if($query->updateQuery($sql))
				//return '<div class="success_msgbox" style="width:644px;">Logo updated Successfully</div>';
				return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
			else
				return '<div class="error_msgbox" style="width:880px;">Error while updating logo!</div>';
		}	
		//else
		// 	return '<div class="error_msgbox" style="width:644px;">Invalid image file.Please try again !</div>';
	}
	
	/**
	 * Function displays the site email from the database
	 * 
	 * 
	 * @return string
	 */	 		
	function siteEmail()
	{
			$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Admin Email'";
			$query = new Bin_Query();
			if($query->executeQuery($sql))
			{				
				return Display_DSiteSettings::siteEmail($query->records);
			}
			else
			{
				return '<div class="error_msgbox" style="width:880px;">Admin Email Site Settings Not Found</div>';
			}
	}
	
	/**
	 * Function updates the changes made in the site email
	 * 
	 * 
	 * @return string
	 */	 	
	
	function updateSiteEmail()
	{
		//Core_Settings_CSiteSettings::validationPage();
//		if($flag=="1")
//			return '<div class="error_msgbox" style="width:880px;">Email Should Not Be Empty</div>';
		if ($_POST['email']!='')
		{
			$sql = "UPDATE admin_settings_table SET set_value='".$_POST['email']."' where set_name='Admin Email'";
			$query = new Bin_Query();
			if($query->updateQuery($sql))
			{		
				
				//return '<div class="success_msgbox" style="width:646px;">Site Email Settings <b>'.$_POST['email'].'</b> Saved Successfully</div>';
				return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
			}
			else
			{
				return '<div class="error_msgbox" style="width:880px;">Admin Email Site Settings Not Found</div>';
			}
		}
		else
			return '<div class="error_msgbox" style="width:880px;">Email Should Not Be Empty</div>';
	}
	
	/**
	 * Function gets the time zone details from the database 
	 * 
	 * 
	 * @return string
	 */	 		
	function currentZone()
	{
		$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Time Zone'";
		$query = new Bin_Query();
		$query->executeQuery($sql);
		if(count($query-records)>0)
		{		
			return $query->records[0]['set_value'];
		}
		else
		{
			return '<div class="success_msgbox" style="width:880px;">Time Zone is Not Selected in the Site</div>';
		}		
	}
	
	/**
	 * Function gets the time zone details from the database 
	 * 
	 * 
	 * @return string
	 */	 	
	
	function timeZone()
	{		
		$sql = "SELECT tz_timezone FROM `timezone_table` order by tz_timezone";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			$sql1 = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Time Zone'";
			$query1 = new Bin_Query();
			$query1->executeQuery($sql1);
			if(count($query1-records)>0)
			{		
				$selTime= $query1->records[0]['set_value'];
			}
			return Display_DSiteSettings::timeZone($query->records,$selTime);
		}
	}	
	
	/**
	 * Function updates the changes made in the time zone details into the database 
	 * 
	 * 
	 * @return string
	 */	 	
	
	function updateTimeZone()
	{
		if($_POST['timezone']!='')
		{
		$sql = "UPDATE admin_settings_table SET set_value='".$_POST['timezone']."' where set_name='Time Zone'";
			$query = new Bin_Query();
			if($query->updateQuery($sql))
				//return '<div class="success_msgbox" style="width:644px;">Timezone Updated to <b>'.$_POST['timezone'].'</b> Successfully</div>';
				return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
		}	
	}
	
	/**
	 * Function gets the custom header details from the table
	 * 
	 * 
	 * @return string
	 */	
	 
	function showCustomHeader()
	{
	   $sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Custom Header'";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			return $query->records[0]['set_value'];
		}				
	} 	
	
	/**
	 * Function updates the custom header details into the table
	 * 
	 * 
	 * @return string
	 */	
	
	function updateCustomHeader()
	{
		$sql="update admin_settings_table set set_value='". trim($_POST['headerContent']) . "' where set_name='Custom Header'";
		$obj=new Bin_Query();
		if($obj->updateQuery($sql))
			//return '<div class="success_msgbox" style="width:652px;">Custom Header changed Successfully</div>';
			return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
		else
			return '<div class="error_msgbox" style="width:880px;">Unable to change Custom Header</div>';
	}
	
	/**
	 * Function selects the Google Analytics code from the database
	 * 
	 * 
	 * @return string
	 */	 		
 
 	function googleAnalyticsCode()
	{
		$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Google Analytics Code'";
		$query = new Bin_Query();
		
		if($query->executeQuery($sql))
		{		
			return $query->records[0]['set_value'];
		}
		else
		{
			return '<div class="success_msgbox" style="width:880px;">Site</div>';
		}
	}	
	
	/**
	 * Function updates the selected Google Analytics code into the table 
	 * 
	 * 
	 * @return string
	 */	
	
	function updateGoogleAnalytics()
	{
		//if($_POST['gcode']!='')
		//{
		$sql = "UPDATE admin_settings_table SET set_value='".$_POST['gcode']."' where set_name='Google Analytics Code'";
			$query = new Bin_Query();
			if($query->updateQuery($sql))
			{		
				//return '<div class="success_msgbox" style="width:644px;">Updated Successfully</div>';
				return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
			}
			else
			{
				return '<div class="error_msgbox" style="width:880px;">Not Updated !!! Try Again </div>';
			}
		//}
		//else
		//{
		//	return '<div class="error_msgbox" style="width:644px;">Please Insert a Google Analytics Script Code</div>';
		//}	
	}
	
	/**
	 * Function gets the home page banner details from the database
	 * 
	 * 
	 * @return string
	 */	 	
	
 	function homePageBanner()
	{
		$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Homepage Banner Image'";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			return Display_DSiteSettings::homePageBanner($query->records);
		}
		else
		{
			return '<div class="success_msgbox" style="width:880px;">Not Found</div>';
		}
	}
	
	/**
	 * Function gets the home page banner url from the database
	 * 
	 * 
	 * @return string
	 */	 	
	
	function homePageBannerUrl()
	{
		$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Homepage Banner URL'";
		$query = new Bin_Query();
		if($query->executeQuery($sql))
		{		
			return Display_DSiteSettings::homePageBannerUrl($query->records);
		}
		else
		{
			return '<div class="success_msgbox" style="width:880px;">Not Found</div>';
		}
	}
	
	/**
	 * Function updates the changes made in the Home Page Banner into the database
	 * 
	 * 
	 * @return string
	 */	
	
	function updateHomePageBanner()
	{
		//Core_Settings_CSiteSettings::validationPage();
//		if($flag=="1")
//			return '<div class="error_msgbox" style="width:880px;">Invalid image file.Please try again !</div>';
		include_once('classes/Lib/FileOperations.php');
		include_once("classes/Lib/ThumbImage.php");
		//if(isset($_FILES['banner']['tmp_name']))
		if($_FILES['banner']['tmp_name']!='')
		{
			if(($_FILES['banner']['type'] != "image/jpeg") && ($_FILES['banner']['type'] != "image/pjpeg") && ($_FILES['banner']['type'] != "image/png") && ($_FILES['banner']['type'] != "image/gif") && ($_FILES['banner']['type'] != "image/bmp") && ($_FILES['banner']['type'] != "image/swf")) 
			{
				return '<div class="error_msgbox" style="width:880px;">Invalid image file.Please try again !</div>';
			}
			
			$fname=date("Y-m-d-His").$_FILES['banner']['name']; // generate new file name
			$bannerpath="images/banner/".$fname; // concat the new file with image folder and thumb image folder for database 
			$uploadfile = ROOT_FOLDER . $bannerpath; // actual image upload path
			$imageDir=ROOT_FOLDER."images/banner";

			$file= new Lib_FileOperations();
			$file->uploadFile($_FILES['banner']['tmp_name'],$uploadfile);
			new Lib_ThumbImage('thumb',$uploadfile,$imageDir,'564');

			$sql = "UPDATE admin_settings_table SET set_value='".$bannerpath."' where set_name='Homepage Banner Image'";
			$query = new Bin_Query();
			$query->updateQuery($sql);
			//if($query->updateQuery($sql))
			//{		
				//$sql = "UPDATE admin_settings_table SET set_value='".$_POST['url']."' where set_name='Homepage Banner URL'";
				//$query = new Bin_Query();
				//if($query->updateQuery($sql))
					//return '<div class="success_msgbox" style="width:645px;">Site Home Page Banner Updated Successfully</div>';
				//	return '<div class="success_msgbox" style="width:644px;">Successfully Submitted</div>';
			//}
			//else
			//	return '<div class="error_msgbox" style="width:645px;">Not Updated </div>';
		}
		
			$sql = "UPDATE admin_settings_table SET set_value='".$_POST['url']."' where set_name='Homepage Banner URL'";
				$query = new Bin_Query();
				if($query->updateQuery($sql))
					//return '<div class="success_msgbox" style="width:645px;">Site Home Page Banner Updated Successfully</div>';
					return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
		
	}
	
	///**
//	 * Function gets the style details from the database 
//	 * 
//	 * 
//	 * @return string
//	 */	 		  
//	function currentSkin()
//	{
//			$sql = "SELECT set_name,set_value FROM `admin_settings_table` where set_name='Site Skin'";
//			$query = new Bin_Query();
//			if($query->executeQuery($sql))
//			{		
//				
//				return $query->records[0]['set_value'];
//			}
//			else
//			{
//				//$output['showskin'] = "No skin Found";
//			}
//	}
	
	///**
//	 * Function gets the skin details from the database 
//	 * 
//	 * 
//	 * @return string
//	 */	 		
//	
//	 
//	function displaySkin()
//	{
//			//include("classes/Display/DSelectSkin.php");
//		
//			$sql = "SELECT * FROM `skins_table`";
//			$query = new Bin_Query();		
//
//			if($query->executeQuery($sql))
//			{		
//				$selSkin=Core_Settings_CSiteSettings::currentSkin();
//				return Display_DSiteSettings::displaySkinWithSelected($query->records,$selSkin);
//			}
//			else
//			{
//				//$output['showskin'] = "No skin Found";
//			}
//				
//	}
//	
//	/**
//	 * Function updates the skin details into the database 
//	 * 
//	 * 
//	 * @return string
//	 */	 		
//	
//	 function updateSkin()
//	 {
//		$query = new Bin_Query();
//		if($_POST['skingroup'] != '')
//		{
//			$sql = "UPDATE admin_settings_table SET set_value='".$_POST['skingroup']."' WHERE  set_name='Site Skin'";  
//			if($query->updateQuery($sql))
//			{
//				//return '<div class="success_msgbox" style="width:648px;">Site skin is updated to <b>'.$_POST['skingroup'].'</b> Successfully</div>';
//				return '<div class="success_msgbox" style="width:880px;">Successfully Submitted</div>';
//			}
//			else
//			{
//				return '<div class="error_msgbox" style="width:880px;">Not Updated</div>';
//			}
//		}
//	 }
	 
	 function validationPage()
	 {
	 	
	 	if(($_FILES['banner']['tmp_name']!='') && ($_FILES['banner']['type'] != "image/jpeg") && ($_FILES['banner']['type'] != "image/pjpeg") && ($_FILES['banner']['type'] != "image/png") && ($_FILES['banner']['type'] != "image/gif") && ($_FILES['banner']['type'] != "image/bmp") && ($_FILES['banner']['type'] != "image/swf")) 
		{
			$flag="1";
			return '<div class="error_msgbox" style="width:880px;">Invalid image file.Please try again !</div>';
		}
		
		  $imagetypes=array ('jpeg' ,'pjpeg' , 'bmp' , 'gif' , 'png','swf');	
		  $file = explode(".",$_FILES['banner']['name']);					
		  if(count($file) > 2  || !in_array($file,$imagetypes))
		  {	$flag="1";	
  			return '<div class="error_msgbox" style="width:880px;" >Invalid image file format</div>';	
		  }	 

		
		  $file = explode(".",$_FILES['logo']['name']);				
		  if(count($file) > 2  || !in_array($file,$imagetypes))
		  {	$flag="1";	
  			return '<div class="error_msgbox" style="width:880px;" >Invalid image file format</div>';	
		  }	 

		

		if(($_FILES['logo']['tmp_name']!='') && ($_FILES['logo']['type'] != "image/jpeg") && ($_FILES['logo']['type'] != "image/pjpeg") && ($_FILES['logo']['type'] != "image/png") && ($_FILES['logo']['type'] != "image/gif") && ($_FILES['logo']['type'] != "image/bmp") && ($_FILES['logo']['type'] != "image/swf")) 
		{
			$flag="1";
			return '<div class="error_msgbox" style="width:880px;">Invalid image file.Please try again !</div>';
		}
		
		elseif($flag!="1")
		{
			Core_Settings_CSiteSettings::updateSiteLogo();
			Core_Settings_CSiteSettings::updateHomePageBanner();
		}
	 }
	 
}	
 ?>