<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DAdminRoleManagement
 *
 * This class contains functions to set the sub admin's limitation.
 *
 * @package		Display_DAdminRoleManagement
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

 class Display_DAdminRoleManagement
{
 	/**
	 * List out the sub admin roles. 
	 * @param array $pages
	 * @param array $rights
	 * @param string $subadmin
	 * @param integer $id
	 * @return string
	 */
	function displaySubAdminRole($pages,$rights,$subadmin,$id)
	{
		$output="<table cellpadding='8' cellspacing='0' border='0'  class='' width='100%'>";
		$output.=(isset($_GET['msg'])? '<tr><td><table border="0" width="98%" align="center" ><tr><td colspan="2"><div class="success_msgbox"  width="100%" style="width:644px;" >'.$_GET['msg'].'</div></td></tr></table></td></tr>' : "" );
		
		$output.='<tr><td><table border="0" width="90%" align="left">
		<tr><td class="content_form"><b>Sub Admin Name:</b> '.$subadmin.'</td></tr>
		</table></td></tr>';
		$output.="<tr><td><table cellpadding='8' cellspacing='0' border='0'  class='content_list_bdr' width='100%'><tr><td  class='content_list_head' colspan=3 ></td></tr>";
		for($i=0;$i<count($pages);$i++)
		{
			for($j=0;$j<count($rights);$j++)
			{
				$val='';
				if(($rights[$j]['subadmin_page_id']==$pages[$i]['page_id']) && $rights[$j]['subadmin_rights']==1)
				{
					$val='checked';
					break;
				}	
			}	
			if($i % 2 == 0)
			
			        $trclass='class="formblock_row1" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row1\');"';
					
				else
					 $trclass='class="formblock_row2" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row2\');"';
					 
			$output.="<tr ". $trclass."><td  width='30%' class='form_txt'>".$pages[$i]['page_description']."</td><td  class='form_txt' width='6%'>:</td><td width='65%'  ><input type=checkbox name=chkStatus[] ".$val." value='".$pages[$i]['page_id']."'></td></tr>";		
		}
		
		$output.='<tr><td></td><td>
		<input type="hidden" value="'.$id.'" name="subadminid"/>
		</td></tr>
		</table>';
	
		return $output;
	}
	
	/**
	 * List out the sub admin roles(old). 
	 * @param array $result
	 * @param array $dropdowndata
	 * @param array $cou
	 * @param integer $id
 	 * @param string $val4
	 * @return string
	 */
	function displaySubAdminRoleOld($result,$dropdowndata,$cou,$id,$val4)
	{
	  $subid=$id;
	  $co=$cou[0]['count'];
  $out='';
	    $output=(isset($_GET['msg'])? '<table border="0" width="98%" align="center" ><tr><td colspan="2"><div class="success_msgbox"  width="100%" style="width:644px;" >'.$_GET['msg'].'</div></td></tr></table>' : "" )."<table cellpadding='8' cellspacing='0' border='0'  class='content_list_bdr' width='100%'><tr><td  class='content_list_head'>S.No</td><td  class='content_list_head'>Sub Admin Name</td><td  class='content_list_head'>Page Description</td><td  class='content_list_head'>Sub Status</td><td class='content_list_head' colspan=2 align=center>Action</td></td></tr><!--<tr><td colspan='9' class='cnt_list_bot_bdr' valign='top'><img src='images/list_bdr.gif' alt='' width='1' height='2' /></td></tr>-->";
		$i=1;

	if(count($dropdowndata)>0)
	{
			$out.="<select name='selectpagename'>";
			  foreach($dropdowndata as $row)
				{
				    $desc=$row['page_description'];
				    $pageid=$row['page_id'];
					$pagename=$row['page_name'];
					$pageaction=$row['page_action'];
					$out.="<option value='".$pageid."'>".$desc."</option>";
				}
				$out.="</select>";
	}
	$out.='';
	
	if(count($result)>0)
	{
	$i=1;
 	  foreach($result as $row)
		{
		   $subroleid=$row['subadmin_role_id'];
	  	   $subadmin_name=$row['subadmin_name'];
		   $page_description= $row['page_description'];
		   $page_name=$row['page_name'];
   		   $page_action= $row['page_action'];
  		   $status= $row['subadmin_rights']; 
			   if($status)
			   {
				  $status="Checked='checked'";
			   }
			   else
			   {
				  $status='';
			   }
				if($i%2==0)
				{
					$output.="<tr  ><td  class='content_list_txt1'>$i</td><td  class='content_list_txt1'>$subadmin_name</td><td class='content_list_txt1'>$page_description</td><td  class='content_list_txt1'><input type='checkbox' ".$status."  disabled='disabled' /></td><td  class='content_list_txt1'><a href='?do=subadminrole&action=edit&id=$subroleid&subid=$subid' class='edit_bttn'>&nbsp;<!--Edit--></a></td><td  class='content_list_txt1'><a href='?do=subadminrole&action=delete&id=$subroleid&subid=$subid'  onclick='return confirm(\"Do you want to delete\");' class='delete_bttn'>&nbsp;<!--Delete--></a></td></tr>";
				 }
				 else
				 {
					 $output.="<tr  ><td  class='content_list_txt2'>$i</td><td  class='content_list_txt2'>$subadmin_name</td><td  class='content_list_txt2'>$page_description</td><td  class='content_list_txt2'><input type='checkbox' ".$status."  disabled='disabled' /></td><td  class='content_list_txt2'><a href='?do=subadminrole&action=edit&id=$subroleid&subid=$subid' class='edit_bttn'>&nbsp;<!--Edit--></a></td><td  class='content_list_txt2'><a href='?do=subadminrole&action=delete&id=$subroleid&subid=$subid' onclick='return confirm(\"Do you want to delete\");' class='delete_bttn'>&nbsp;<!--Delete--></a></td></tr>";
				 }
				 $i++;
			   }
		}
		
		
	$output.="<tr class='content_list_txt1'><td class='content_list_txt1'></td><td class='content_list_txt1'><input type='hidden' value=".$id." name='subadminid'/><input type='hidden' value='".$subadmin_name."' name='adminname' />".$val4."</td><td class='content_list_txt1'>".$out."</td><td class='content_list_txt1'><input type='checkbox' name='status'/></td><td class='content_list_txt1' colspan=2 align=center><input type='submit' name='insertsub' value='Insert' class='all_bttn' /></td></tr>";
		$output.="<tr><td colspan='6'><a href='?do=subadminmgt'>Back To SubAdmin Management</a></td></tr>";
		$output.="</table>";
		return $output;
	}
	
	/**
	 * List out the selected sub admin roles. 
	 * @param array $row
	 * @param integer $id
	 * @return string
	 */
	function displaySelectedSubAdminRole($row,$id)
	{
	       $subroleid=$row[0]['subadmin_role_id'];
	  	   $subadmin_name=$row[0]['subadmin_name'];
		   $page_description= $row[0]['page_description'];
		   $page_name=$row[0]['page_name'];
   		   $page_action= $row[0]['page_action'];
		   $status= $row[0]['subadmin_rights']; 
		   $subid=$_GET['subid'];

		   if($status)
		   {
		      $status=" checked='checked' ";
		   }
	   $output="<form method='post' action='?do=subadminrole&action=update' ><table cellpadding='8' cellspacing='0' border='0' class='content_list_bdr' width='100%'><tr  class='content_list_head'><td colspan='2'>Sub Admin Previlage</td></tr>";
	  
	  $output.="<tr><td class='content_list_txt2'>SubAdmin Name</td><td  class='content_list_txt2'><input type='hidden' value='".$subid."' name='subid'   /><input type='hidden' value=".$subroleid." name='subroleid'   />".$subadmin_name."</td></tr><tr  ><td  class='content_list_txt2'>Page Description</td><td  class='content_list_txt2'>".$page_description."</td></tr><tr  ><td class='content_list_txt2'>Page Name</td><td class='content_list_txt2'>".$page_name."</td></tr><tr  ><td class='content_list_txt2'>Page Action </td><td class='content_list_txt2'>".$page_action."</td></tr><tr><td class='content_list_txt2'>SubAdmin Status</td><td class='content_list_txt2'><input type='Checkbox' name ='subadminstatus'".$status."/></td></tr><tr ><td colspan='2'  class='content_list_txt2' align='center' ><input type='submit' name='update' value='Update' class='all_bttn'/></td></tr></table></form>";
	   return $output;
	}
	
	
}
?>
