<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DCurrencySettings
 *
 * This class contains functions to list out the currency list available.
 *
 * @package		Display_DCurrencySettings
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Display_DCurrencySettings
{
	
	
	 function showCurrencyForm()	 
	 {
	 	$output = '<table cellspacing="0" cellpadding="0" border="0" width="100%" class="formblock_content">
	<tr class="formblock_row3"><td width="250" align="center" class="form_txt">Currency Name</td>
	<td width="110" align="center" class="form_txt">Currency Code</td>
	<td width="100" align="center" class="form_txt">Conversion Rate</td>
	<td width="204" align="center" class="form_txt">Applied To</td>
	<td width="60" align="center" class="form_txt">Status</td>
	<td width="45" align="center" class="form_txt">Options</td>
	<td width="5" align="center" class="form_txt">&nbsp;</td>
	</tr><tr><td colspan="7"><div name="ajaxcontentdiv" id="ajaxcontentdiv" >';
	return $output;
	 }
	
	
	/**
	 * Function returns the list of currency list available. 
	 * @param array $result
	 * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 
	 * @return string
	 */
	 
	function showCurrencyList($result,$paging,$prev,$next)
	{
 
		$output='<table cellspacing="0" border="0" width="100%" align="center">';	      
		foreach ($result as $rows)
		{
			if ($rows['default_currency']==1)
				$currencytocken=$rows['currency_tocken'];
		}
		
		
	 $i=1;
	foreach ($result as $arr)
	{
		if($i%2!=0)
			$classid='class="formblock_row1 form_border"';
		else
			$classid='class="formblock_row2 form_border"';
	$output.='<tr onmouseover="listbg(this, 1);" onmouseout="listbg(this, 0);" style="background-color: rgb(255, 255, 255);" '.$classid.'>';
	$output.='<td style="padding: 5px; " align="left" width="300">'.$arr['currency_name'].(($arr['default_currency']==1) ? '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>(Default)</b>' : '' ).'</td>';
	$output.='<td width="140" style="padding: 5px; "  align="left">'.$arr['currency_code'].'</td>';
	$output.='<td align="right" width="120">'.$arr['currency_tocken'].' '. number_format($arr['conversion_rate'],2).'</td>';
	$output.='<td style="padding-left: 10px;" align="left" width="250">'.( ($arr['country_code']=='' || $arr['country_code']=='all') ?  'All Countries' : $arr['cou_name']).'</td>';
	$output.='<td align="center" width="90"><span '.(($arr['status']==1) ? ' class="active_link" title="Active" ' : ' class="inactive_link" title="Inactive" ' ).'" /></td>';
	$output.='<td width="40" align="center"><a class="edit_bttn" href="?do=editcurrency&cid='.$arr['id'].'">&nbsp;</a></td>';	  
	$output.='<td width="40" align="center">';
	  if($arr['id']!=1)
	 	 $output.='<a class="delete_bttn" onclick="return confirm(\'Do you want to delete\');" href="?do=delcurrency&cid='.$arr['id'].'">&nbsp;</a>';
	  $output.='</td></tr>';
	$i++;
	}
	
	 $output.='<tr align="center"><td colspan="7"  class="formblock_bleft formblock_bbg formblock_bright" >'.' '.$prev.' ';
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
				 	 	$output .= $pagingvalues.' '.$next.'</td></tr>';
						
						$output.='</table></div></td></tr></table>';		
		
			
		return $output;
			
	}
	
	
	/**
	 * Function returns a template for adding the new currency. 
	 * @param array $countryarr
	 * @param array $Err
	 *
	 * @return string
	 */
	
	
	function addCurrency($countryarr,$Err)
	{
		if(count($Err->messages) > 0)
		{
			 $values = $Err->values;
			 $messages = $Err->messages;
		}
	$countrylist='<select name="taxratecountry" id="taxratecountry" style="width:180px;">';
		foreach($countryarr as $country)
			$countrylist.='<option value="'.$country['cou_code'].'" '.(($values['taxratecountry']==$country['cou_code']) ? ' selected ="selected" ' : '' ).'>'.$country['cou_name'].'</option>';
		$countrylist.='</select>';
		
		$output = '<form  name="sam" action="?do=taxsettings&action=insertregionwisetax" method="post"><table width="80%" border="0" cellspacing="0" cellpadding="0" align="center"><tr>
						  <td  colspan="6" align="right"><font color="red"> * Required Fields</font></td>
						</tr>
						<tr>
							<td width="119" class="content_form" align="left">
								Currency Name<span style="color:#FF0000">*</span>&nbsp;							</td>
							<td width="27" class="content_form" >:</td>
							<td width="261" class="content_form" ><input name="currency_name" id="currency_name"   value="'.$values['currency_name'].'" type="text" style="width:178px;">
							  <br>
						    <span style="color:#FF0000">'.$messages['currency_name'].'</span></td>
							<td width="146" class="content_form" align="left">Currency Code *&nbsp;</td>
						    <td width="40" class="content_form">: </td>
						    <td width="187" class="content_form">
						      <input name="currency_code" id="currency_code"   value="'.$values['currency_code'].'" type="text" style="width:178px;">
                              <br>
'.$messages['currency_code'].'</td>
						</tr>
						<tr>
							<td  class="content_form" align="left">Currency Tocken<span  style="color:#FF0000">*</span></td>
							<td  class="content_form">: </td>
							<td  class="content_form"><input name="currency_tocken" id="currency_tocken"  value="'.$values['currency_tocken'].'" type="text" style="width:60px;">   <br>
                              <span style="color:#FF0000">'.$messages['currency_tocken'].'</span></td>
							<td class="content_form">Conversion Rate *&nbsp;</td>
						    <td class="content_form">: </td>
						    <td class="content_form">
						      <input name="conversion_rate" id="conversion_rate"   value="'.$values['conversion_rate'].'" type="text" style="width:178px;">
                              <br>
'.$messages['conversion_rate'].' </td>
						</tr>
						<tr>
						<td  class="content_form" align="left">Country<span  style="color:#FF0000">*</span>&nbsp;</td>
						<td  class="content_form">: </td>
						<td  class="content_form">'.$countrylist.'<br>
						<span style="color:#FF0000">'.$messages['taxratecountry'].'</span></td>
						<td colspan="2" class="">&nbsp;</td>
						<td class="">&nbsp;</td>
					</tr>
					<tr>
					<td  class="content_form" align="left">Status Enable<span  style="color:#FF0000">*</span>&nbsp;</td>
					<td  class="content_form">: </td>
					<td  class="content_form"><input  name="taxratestatus" id="taxratestatus" type="checkbox" value="1" '.(($values['status']==1) ? ' checked="checked" ' : '' ).'>
					  <!--<label for="taxratestatus">Enable Currency </label>--></td>
					<td colspan="2" class=""><label for="taxratestatus"></label></td>
					<td class="">&nbsp;</td>
				</tr>
				<tr>
					<td colspan="6"  class="content_form">
					  <div align="center">
						<input name="SubmitButton2" value="Add Currency"  type="submit" class="all_bttn">															
					</div></td>
				</tr>
				<!--<tr><td colspan="6"  all_bttn>&nbsp;</td></tr>-->
			 
			</table>
</form>
';	
			
		return $output;
	}
	
	
	/**
	 * Function returns a template for adding the new currency. 
	 * @param array $countryarr
	 * @param array $currencyarr
     * @param array $Err
	 *
	 * @return string
	 */
	
	function showAddCurrency($countryarr,$currencyarr,$Err)
	{
		if(count($Err->messages) > 0)
		{
			 $values = $Err->values;
			 $messages = $Err->messages;
		}
		
		
		$trclass1='class="formblock_row1" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row1\');"';
			
		$trclass2='class="formblock_row2" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row2\');"';
		
		//print_r($messages);
		//echo "<pre>";
		//print_r($countryarr);
			$currencycode='<select name="currency_code" id="currency_code" class="form_combobox">';
		//$countrylist.='<option selected="selected" value="all">-- All Countries --</option>';
		foreach($currencyarr as $currency)
		{
			$currencycode.='<option value="'.$currency['currency_code'].'" '.(($values['currency_code']==$currency['currency_code']) ? ' selected ="selected" ' : '' ).'>'.$currency['currency_name'];
			if($currency['country_name']!=''&&$currency['country_name']!=' ')
				$currencycode.='&nbsp;(<font size="-1">'.strtolower($currency['country_name']).'</font>)';
			$currencycode.='</option>';
		}
		$currencycode.='</select>';
		
		
			$countrylist='<select name="taxratecountry" id="taxratecountry" class="form_combobox" >';
		//$countrylist.='<option selected="selected" value="all">-- All Countries --</option>';
		foreach($countryarr as $country)
			$countrylist.='<option value="'.$country['cou_code'].'" '.(($values['taxratecountry']==$country['cou_code']) ? ' selected ="selected" ' : '' ).'>'.$country['cou_name'].'</option>';
		$countrylist.='</select>';
		
		$output = '<table width="100%" border="0" cellspacing="0" cellpadding="0" ><tr>
						  <td  colspan="4" align="right" class="form_txt" > <span style="color:#FF0000;font-size:11px">*</span> Required Fields</td>
						</tr>
						<tr '.$trclass1.'>
						
							<td  class="form_txt" align="left" width="20%" >
								Currency Name<span style="color:#FF0000">*</span>&nbsp;							</td>
							<td  class="form_txt" width="6%" >:</td>
							<td  class="content_form" align="left"><input name="currency_name" id="currency_name"   value="'.$values['currency_name'].'" type="text" class="form_txtbox"></td>
							 <td  class="content_form" align="left" width="40%"><span style="color:#FF0000;font-size:11px">'.$messages['currency_name'].'</span></td>						</tr>
							
						<tr '.$trclass2.'>
							
							<td  class="form_txt" align="left">Currency Token<span  style="color:#FF0000">*</span></td>

							<td  class="form_txt">: </td>
							<td   ><input name="currency_tocken" id="currency_tocken"  value="'.$values['currency_tocken'].'" type="text" class="form_txtbox">&nbsp;<img src="images/help.gif" onmouseover="ShowHelp(\'currtok\', \'Currency Tocken\', \'Enter currency token. Like $,Rs.\')" onmouseout="HideHelp(\'currtok\');">
			<div id="currtok" style="position:absolute"></div>
                              </td>
                              <td align="left">
                              <span style="color:#FF0000;font-size:11px">'.$messages['currency_tocken'].'</span></td>
						</tr>
						
							<tr '.$trclass1.'>
							
							<td  class="form_txt" valign="top" align="left">Country<span  style="color:#FF0000">*</span>&nbsp;</td>
							<td  class="form_txt" valign="top">: </td>
							<td  class="content_form" align="left">'.$countrylist.'
							</td>
                              <td align="left">
							   <span style="color:#FF0000;font-size:11px">'.$messages['taxratecountry'].'</span></td>
							 </tr>
							
						 <tr '.$trclass2.'>
							
							<td  class="form_txt" valign="top" align="left">Currency Code<span style="color:#FF0000">*</span>&nbsp;</td>
						    <td  class="form_txt" valign="top">: </td>
						    <td class="content_form" align="left">
						     <!-- <input name="currency_code" id="currency_code"   value="'.$values['currency_code'].'" type="text" style="width:178px;">-->'.$currencycode.'</td>
                              <td align="left"><span style="color:#FF0000;font-size:11px">
'.$messages['currency_code'].'<span></td>
						</tr>
						
							<tr '.$trclass1.'>
							
							<td class="form_txt" align="left">Conversion Rate<span style="color:#FF0000">*</span>&nbsp;</td>
						    <td class="form_txt">: </td>
						    <td class="content_form" align="left">
						      <input name="conversion_rate" id="conversion_rate"   value="'.$values['conversion_rate'].'" type="text" class="form_txtbox">&nbsp;<img src="images/help.gif" onmouseover="ShowHelp(\'convrate\', \'Conversion Rate\', \'Enter conversion rate againt US dollars value.\')" onmouseout="HideHelp(\'convrate\');">
			<div id="convrate" style="position:absolute"></div>
                             </td>
                              <td align="left"><span style="color:#FF0000;font-size:11px">
'.$messages['conversion_rate'].'</span></td>
						</tr>
						<tr '.$trclass2.'>
							
							<td  class="form_txt" align="left">Status Enable&nbsp;</td>
							<td  class="form_txt">: </td>
							<td  class="content_form" align="left"><input  name="taxratestatus" id="taxratestatus" type="checkbox" value="1" '.(($values['status']==1) ? ' checked="checked" ' : '' ).'><img src="images/help.gif" onmouseover="ShowHelp(\'acstatus\', \'Status Set\', \'If you want to enable the currency,please check it.\')" onmouseout="HideHelp(\'acstatus\');">
			<div id="acstatus" style="position:absolute"></div>
                              <!--<label for="taxratestatus">Enable Currency </label>--></td>
							<td  class=""><label for="taxratestatus"></label></td>
						</tr>
						
						<tr>
							<td colspan="4"  class="content_form">
							  <div align="center">
							   															
					        </div></td>
						</tr>
						<tr><td colspan="6" style="padding-bottom:20px;">&nbsp;</td>
					 
					</table>
</form>
';	
			
		return $output;
	}
 	
	
	
	/**
	 * Function returns a template for updating the existing currency. 
	 * @param array $countryarr
	 * @param array $currencyarr
     * @param array $curarr
	 * @param array $Err
	 * @return string
	 */
	
	function showEditCurrency($countryarr,$currencyarr,$curarr,$Err)
	{
		
		
		
		
		$trclass1='class="formblock_row1" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row1\');"';
			
		$trclass2='class="formblock_row2" onmouseover="mouse_event(this, \'formrow_bg\');" onmouseout="mouse_event(this, \'formblock_row2\');"';
		
		
		if(count($Err->messages) > 0)
		{
			 $values = $Err->values;
			 $messages = $Err->messages;
		}
		if(count($curarr)>0&&count($Err->messages) == 0)
		foreach($curarr as $values)
		{
		}
		if($values['hidecurrencyid']==1 || $values['hidecurrencyid']=='1')
		{
					
		$output = '<table width="100%" border="0" cellspacing="0" cellpadding="0" >
					<tr> <td> &nbsp; </td> </tr>	
						
						<tr '.$trclass1.'>
						<td class="form_txt" align="left">Currency name</td>
						<td  class="form_txt">: </td>
						<td class="content_form" align="left">'.$values['currency_name'].'<input type="hidden" name="currency_name" id="hidecurrencyid"   value="'.$values['currency_name'].'"/></td>
						</tr>
						<tr '.$trclass2.'>
							
							<td class="form_txt" align="left">Conversion Rate<span style="color:#FF0000">*</span>&nbsp;</td>
						    <td class="form_txt">: </td>
						    <td class="content_form" align="left"><input type="hidden" name="hidecurrencyid" id="hidecurrencyid"   value="'.$values['hidecurrencyid'].'"/>
						      <input name="conversion_rate" id="conversion_rate"   value="'.$values['conversion_rate'].'" type="text" class="form_txtbox">
                              <br><span style="color:#FF0000">
'.$messages['conversion_rate'].'</span></td>
						</tr><tr>
							<td colspan="3"  class="content_form">
							 </td>
						</tr>
						<tr><td colspan="6" style="padding-bottom:120px;" > &nbsp;</td></tr>
					 
					</table>
';
		}
		else 
		{
		$currencycode='<select name="currency_code" id="currency_code" class="form_combobox" >';
		//$countrylist.='<option selected="selected" value="all">-- All Countries --</option>';
		foreach($currencyarr as $currency)
		{
			$currencycode.='<option value="'.$currency['currency_code'].'" '.(($values['currency_code']==$currency['currency_code']) ? ' selected ="selected" ' : '' ).'>'.$currency['currency_code'] .'-'.$currency['currency_name'] ;
			if($currency['country_name']!=''&&$currency['country_name']!=' ')
				$currencycode.='&nbsp;(<font size="-1">'.ucwords($currency['country_name']).'</font>)';
			$currencycode.='</option>';
		}
		$currencycode.='</select>';
			
			$countrylist='<select  name="taxratecountry" id="taxratecountry" class="form_combobox" >';
		foreach($countryarr as $country)
			$countrylist.='<option value="'.$country['cou_code'].'" '.(($values['country_code']==$country['cou_code']) ? ' selected ="selected" ' : '' ).'>'.$country['cou_name'].'</option>';
		$countrylist.='</select>';
		
		
		
		
		$output = '<table width="100%" border="0" cellspacing="0" cellpadding="0" ><tr>
						  <td  colspan="5" align="right"><font color="red"> * Required Fields</font></td>
						</tr>
						<tr '.$trclass1.'>
						
							<td  class="form_txt" align="left">
								Currency Name<span style="color:#FF0000">*</span>&nbsp;							</td>
							<td class="form_txt" >:</td>
							<td class="content_form" align="left"><input name="currency_name" id="currency_name"   value="'.$values['currency_name'].'" type="text"class="form_txtbox"><input type="hidden" name="hidecurrencyid" id="hidecurrencyid"   value="'.$values['hidecurrencyid'].'"/></td>
							 <td width="35%" class="content_form" align="left"><span style="color:#FF0000;font-size:11px">'.$messages['currency_name'].'</span></td>						</tr>
							
						<tr '.$trclass2.'>
						
							<td  class="form_txt" align="left">Currency Tocken<span  style="color:#FF0000">*</span></td>

							<td  class="form_txt">: </td>
							<td  class="content_form" align="left"><input name="currency_tocken" id="currency_tocken"  value="'.$values['currency_tocken'].'" type="text" class="form_txtbox"><img src="images/help.gif" onmouseover="ShowHelp(\'currtok\', \'Currency Tocken\', \'Enter currency token. Like $,Rs.\')" onmouseout="HideHelp(\'currtok\');">
			<div id="currtok" style="position:absolute"></div>
                              </td>
                              <td align="left">
                              <span style="color:#FF0000;font-size:11px">'.$messages['currency_tocken'].'</span></td>
						</tr>
					
							<tr '.$trclass1.'>
						
							<td  class="form_txt" valign="top" align="left">Country<span  style="color:#FF0000">*</span>&nbsp;</td>
							<td  class="form_txt" valign="top">: </td>
							<td  class="content_form" align="left">'.$countrylist.'
							</td>
                              <td>
							   <span style="color:#FF0000;font-size:11px" align="left">'.$messages['taxratecountry'].'</span></td>
							 </tr>
						
						 <tr '.$trclass2.'>
						
							<td  class="form_txt" valign="top" align="left">Currency Code<span style="color:#FF0000">*</span>&nbsp;</td>
						    <td  class="form_txt" valign="top">: </td>
						    <td class="content_form" align="left">
						     <!-- <input name="currency_code" id="currency_code"   value="'.$values['currency_code'].'" type="text" style="width:178px;">-->'.$currencycode.'</td>
                              <td align="left"><span style="color:#FF0000;font-size:11px">
'.$messages['currency_code'].'<span></td>
						</tr>
						
							<tr '.$trclass1.'> 
							
							<td class="form_txt" align="left">Conversion Rate<span style="color:#FF0000">*</span>&nbsp;</td>
						    <td class="form_txt">: </td>
						    <td class="content_form" align="left">
						      <input name="conversion_rate" id="conversion_rate"   value="'.$values['conversion_rate'].'" type="text" class="form_txtbox"><img src="images/help.gif" onmouseover="ShowHelp(\'convrate\', \'Conversion Rate\', \'Enter conversion rate againt US dollars value.\')" onmouseout="HideHelp(\'convrate\');">
			<div id="convrate" style="position:absolute"></div>
                             </td>
                              <td align="left"><span style="color:#FF0000;font-size:11px">
'.$messages['conversion_rate'].'</span></td>
						</tr>
						<tr '.$trclass2.'>
						
							<td  class="form_txt" align="left">Status Enable&nbsp;</td>
							<td  class="form_txt">: </td>
							<td  class="content_form" align="left"><input  name="taxratestatus" id="taxratestatus" type="checkbox" value="1" '.(($values['status']==1) ? ' checked="checked" ' : '' ).'><img src="images/help.gif" onmouseover="ShowHelp(\'acstatus\', \'Status Set\', \'If you want to enable the currency,please check it.\')" onmouseout="HideHelp(\'acstatus\');">
			<div id="acstatus" style="position:absolute"></div>
                              <!--<label for="taxratestatus">Enable Currency </label>--></td>
							<td  class=""><label for="taxratestatus"></label></td>
						</tr>
						
						
					 
					</table>

';	

	
	/*	$output = '<form  name="sam" action="?do=editcurrency&action=update" method="post"><table width="100%" border="0" cellspacing="0" cellpadding="0" align="center"><tr>
						  <td  colspan="6" align="right"><font color="red"> * Required Fields</font></td>
						</tr>
						<tr>
							<td width="119" class="content_form" >
								Currency Name<span style="color:#FF0000">*</span>&nbsp;							</td>
							<td width="27" class="content_form" >:</td>
							<td width="261" class="content_form" ><input name="currency_name" id="currency_name" value="'.$values['currency_name'].'" type="text" style="width:178px;"><input type="hidden" name="hidecurrencyid" id="hidecurrencyid"   value="'.$values['hidecurrencyid'].'"/>
							  <br>
						    <span style="color:#FF0000">'.$messages['currency_name'].'</span></td>
							<td width="146" class="content_form">Currency Code<span style="color:#FF0000">*</span>&nbsp;</td>
						    <td width="40" class="content_form">: </td>
						    <td width="187" class="content_form">
						      <!--<input name="currency_code" id="currency_code" value="'.$values['currency_code'].'" type="text" style="width:178px;">-->'.$currencycode.'
                              <br><span style="color:#FF0000">
'.$messages['currency_code'].'<span></td>
						</tr>
						<tr>
							<td  class="content_form">Currency Tocken<span  style="color:#FF0000">*</span></td>

							<td  class="content_form">: </td>
							<td  class="content_form"><input name="currency_tocken" id="currency_tocken"  value="'.$values['currency_tocken'].'" type="text" style="width:60px;">
                              <br>
                              <span style="color:#FF0000">'.$messages['currency_tocken'].'</span></td>
							<td class="content_form">Conversion Rate<span style="color:#FF0000">*</span>&nbsp;</td>
						    <td class="content_form">: </td>
						    <td class="content_form">
						      <input name="conversion_rate" id="conversion_rate"   value="'.$values['conversion_rate'].'" type="text" style="width:178px;">
                              <br><span style="color:#FF0000">
'.$messages['conversion_rate'].'</span></td>
						</tr>
						
						
							<!--<tr>
								<td class="content_form" >&nbsp;</td>
								<td  class="content_form">&nbsp;</td>
								<td  class="content_form">&nbsp;</td>
								<td colspan="2" class="">&nbsp;</td>
							    <td class="">&nbsp;</td>
							</tr>-->
							<tr>
							<td  class="content_form">Country<span  style="color:#FF0000">*</span>&nbsp;</td>
							<td  class="content_form">: </td>
							<td  class="content_form">'.$countrylist.'<br>
						    <span style="color:#FF0000">'.$messages['taxratecountry'].'</span></td>
							<td colspan="2" class="">&nbsp;</td>
						    <td class="">&nbsp;</td>
						</tr>
						<!--<tr>
							<td  class="content_form">&nbsp;</td>
							<td  class="content_form">&nbsp;</td>
							<td  class="content_form">&nbsp;</td>
							<td colspan="2" class="">&nbsp;</td>
						    <td class="">&nbsp;</td>
						</tr>-->
						<tr>
							<td  class="content_form">Status Enable&nbsp;</td>
							<td  class="content_form">: </td>
							<td  class="content_form"><input  name="taxratestatus" id="taxratestatus" type="checkbox" value="1" '.(($values['status']==1) ? ' checked="checked" ' : '' ).'>
                              <!--<label for="taxratestatus">Enable Currency </label>--></td>
							<td colspan="2" class=""><label for="taxratestatus"></label></td>
						    <td class="">&nbsp;</td>
						</tr>
						<tr>
							<td colspan="6"  class="content_form">
							  <div align="center">
							    <input name="SubmitButton2" value="Save"  type="submit" class="all_bttn">															
					        </div></td>
						</tr>
						<!--<tr><td colspan="6"  all_bttn>&nbsp;</td></tr>-->
					 
					</table>
</form>';	*/
		}
		
		return $output;
	}
	
}

 
?>