<?php 
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DFaq
 *
 * This class contains functions to list out the FAQs.
 *
 * @package		Display_DFaq
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

 class Display_DFaq
{
 	
	
	
	function showFaqhead()
	{
		$output = '
		 <tr><td colspan="2" align="right" style="padding-top:10px; padding-bottom:10px; padding-right:10px;"> <a href="?do=faq&action=add" name="create page" class="add_link">Add FAQ</a> </td></tr>
		<tr><td>
		<table width="850" border="0" cellpadding="0" cellspacing="0" class="content_list_bdr" align="center">
				 <tr class="formblock_row3">
                <td class="form_txt" width="50" align="center">S.No</td>
                <td class="form_txt" width="700" align="center">Question & Answer</td>
                <td colspan="2" align="center" class="form_txt" width="100">Actions</td>
                </tr><tr><td colspan="4"><div name="ajaxcontentdiv" id="ajaxcontentdiv" >';
				return $output;	
	}
	
	
	
	/**
	 * Function returns a template that list out the FAQs available. 
	 * @param array $arr
	 * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 
	 * @param integer $val	 
	 * @return string
	 */
	
	function listFaq($arr,$paging,$prev,$next,$val)
	{
		 	$output='<table cellspacing="0" border="0" width="100%" align="center">';	      
	 if(count($arr)>0)
	 {
		for ($i=0;$i<count($arr);$i++)
		{
			if($i % 2 == 0)
					$classtd='class="formblock_row1 form_border"';
				else
					$classtd='class="formblock_row2 form_border"';
				
			$output .= '<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);"  '.$classtd.'>
			<td align="center" width="50">'.($val+1).'</td>
			<td align="left" width="700" style="text-indent:5px;"><b>'.$arr[$i]['faq_qn'].'</b><br>&nbsp;
			'.$arr[$i]['faq_ans'].'
			</td>';
			
			
			$output.='<td align="center" width="50">
			<a href="?do=faq&action=add&id='.$arr[$i]['faq_id'].'" style="cursor:pointer;text-decoration:none;" class="edit_bttn" >
			</a></td>';
			$output.='<td align="center" width="50">
			<a href="?do=faq&action=delete&id='.$arr[$i]['faq_id'].'" class="delete_bttn" style="cursor:pointer;text-decoration:none;" onclick="return confirm(\'Are you sure to delete?\')"></a></td></tr>';
			
			
			$val++;
		}
		 $output.='<tr align="center"><td colspan="4"  class="formblock_bleft formblock_bbg formblock_bright" >'.' '.$prev.' ';
		    for($i=1;$i<=count($paging);$i++)
				 $pagingvalues .= $paging[$i]."  ";
				 	 	$output .= $pagingvalues.' '.$next.'</td></tr>';
	}
	else
		$output.='<tr><td colspan=2 valign="bottom" align="center">No Faqs Found!<br/>&nbsp;</td></tr>';
		$output.='</table></div></td></tr></table>';						
		//$output .= '</div></table></td></tr>';
		return $output;
		
	}
	
	/**
	 * Function display the list of FAQs. 
	 * @param string $result
	 * @param array $arr
	 *
	 *	 
	 * @return string
	 */
	
	function show($result='',$arr=array())
	{
		$qn='';
		$ans='';
		$btnCaption='Add';
		$action='insert';
		if(!empty($arr))
		{
			$qn=$arr['faq_qn'];
			$ans=$arr['faq_ans'];
			$btnCaption='Save';
			
		}	
		$output='
		<table width="97%" border="0" cellspacing="0" cellpadding="" class="">
		  <tr>
			<td colspan="5" align="left" class="content_title" style="padding-bottom:5px;">&nbsp;<!--&nbsp;<img src="images/help.gif" onmouseover="ShowHelp(\'dfaq\', \'Meta Key\', \'Add here\')" onmouseout="HideHelp(\'dfaq\');">
			<div id="dfaq" style="position:absolute" ></div>--></td>
		  </tr>
		 
		  <tr>
		  <tr>
			<td colspan="4" align="right"><a href="?do=faq" class="add_link" >List Faq</a></td>
		  </tr>
		  <tr>
		  <tr>
			<td colspan="4" align="left">'.$result.'</td>
		  </tr>
		  <tr><td>
		  <table width="100%" border="0" cellspacing="0" cellpadding="0" >
      <tr>
        <td  align="left" class="content_list_head" valign="top">&nbsp;</td>
	  </tr>
	  <tr><td>
	  <table>
		  <tr>
			<td colspan="3" align="left" style="padding-top:5px;" class="form_txt">
			<input type=hidden name=hidid value="'.(int)$_GET['id'].'">
			Question</td><td class="content_form"><input type="text" style="border:1px solid #c0c0c0;background-color:#f6f6f6;padding:6px;" size="87" name="qn" value="'.$qn.'"/></td>
		  </tr>
		  <tr>
			<td colspan="3" align="left" class="form_txt">Answer</td><td class="content_form"><textarea rows="5" cols="66" name="ans" style="border:1px solid #c0c0c0;background-color:#f6f6f6;padding:5px;"  >'.$ans.'</textarea></td>
		  </tr>
		  <tr>
			<td colspan="4" align="center">&nbsp;</td>
		  </tr>
		  <tr>
			<td colspan="3" align="left">&nbsp;</td>
		  </tr>
		   <tr>
			<td colspan="4" align="center">&nbsp;</td>
		  </tr>
		  <tr>
			<td colspan="3" align="left">&nbsp;</td>
		  </tr>
		  </table></td></tr>
		</table></td></tr></table>
		</td> </tr>  <tr>
                      <td class="formblock_bleft">&nbsp;</td>
                      <td align="center" class="formblock_bbg">  <input type="submit" name="submit" id="sub" value="'.$btnCaption.'" class="button_style1"  />';
		return $output;
	}
	
}
?>
