<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DManageProducts
 *
 * This class contains functions to list out the search results.
 *
 * @package		Display_DManageProducts
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Display_DManageProducts
{
	
	/**
	 * Function creates a template to display the product titles available. 
	 * @param array $arr
	 * 
	 * @return string
	 */	
	function dispProductTitle($arr)
	{
		$output='<tr><td colspan="3" align="left">Adding Cross products for <span class="content_title">'.$arr[0]['title'].		'</span></td></tr>';
		return $output;	  
	}
	
	/**
	 * Function creates a template to display the product lists available. 
	 * @param array $arr
	 * 
	 * @return string
	 */	
	
	function productList($arr)
	{
		$output = "";
		$output.='
		<tr>
	        <td class="content_list_head">S.No</td>
			<td class="content_list_head">Select</td>
			<td class="content_list_head">Product Name</td>
			<td class="content_list_head">Brand</td>
			<td class="content_list_head">Model</td>
			<td class="content_list_head">Msrp </td>
                	<td colspan="2" align="center" class="content_list_head">Options</td>
                </tr>
              	<tr>
                	<td colspan="8" class="cnt_list_bot_bdr"><img src="images/list_bdr.gif" alt="" width="1" height="2" /></td>
              	</tr>';
		if(count($arr) > 0)
			$count=count($arr);
		for($i=0;$i<$count; $i++)
		{
			if($i % 2 == 0)
				$classtd='class="content_list_txt1"';
			else
				$classtd='class="content_list_txt2"';
				
			$temp=$arr[$i]['image'];
			$img=explode('/',$temp);
			$output.='<input type="hidden" name="mainindex" value="">';
			$output .='<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);"><td align="center" '.$classtd.'">'.($i+1).'</td><td align="center" '.$classtd.'><input name="checkbox[]" type="checkbox" value="'.$arr[$i]['product_id'].'" /></td>';
			//$output .='<td '.$classtd.'><img src="uploadedimages/thumb/thumb_'.$img[2].'" name="image1"  id="image1"/></td>';
			$output .= '<td '.$classtd.' align="center">'.$arr[$i]['title'].'</td><td '.$classtd.'>'.$arr[$i]['brand'].'</td><td '.$classtd.'>'.$arr[$i]['model'].'</td><td '.$classtd.'>'.$arr[$i]['msrp'].'</td>';
			
			$output.='<td '.$classtd.'><a href="?do=aprodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">View</a></td></tr>';
			$output.='<input type="hidden" name="productid[]" value="'.$arr[$i]['product_id'].'" />';
		}
		//$output.='<tr><td align="right"><input type="submit" name="btnSubmit" value="Submit" id="submit" onclick="" / ></td></tr>';
		//echo $output;
		
		return $output;
	}
	 
	  /**
	 * Function gets the product details form.
	 * 
	 * 
	 * @return string
	 */	 
	 function displayProductform()
	 {
	 	$output='<div class="formblock_content"><form name="search" method="post" ><table width="970px" border="0" cellpadding="0" cellspacing="0">
                <tr class="formblock_row3"><td width="209" align="center" class="form_txt">Name</td>
			  <td width="108" align="center" class="form_txt">Brand</td>
			  <td width="72" align="center" class="form_txt"><a onmouseover="ShowHelp(\'dsku\', \'SKU\', \'Stock Keeping Unit for a product\')" onmouseout="HideHelp(\'dsku\');">SKU</a>
			<div id="dsku" style="position:fixed"></div></td>
			  <td width="65" align="center" class="form_txt"><a onmouseover="ShowHelp(\'dmsrp\', \'MSRP\', \'Manufacturer&acute;s Suggested Retail Price\')" onmouseout="HideHelp(\'dmsrp\');">MSRP </a>
			<div id="dmsrp" style="position:fixed"></div></td>
			  <td width="66" align="center" class="form_txt">Price</td>
			  <td width="65" align="center" class="form_txt">Status</td>
			  <td width="70" align="center" class="form_txt"><a onmouseover="ShowHelp(\'dcse\', \'CSE\', \'Comparison Shopping Engine\')" onmouseout="HideHelp(\'dcse\');">CSE </a>
			<div id="dcse" style="position:fixed"></div></td>
			  <td width="93" align="center" class="form_txt"><a onmouseover="ShowHelp(\'dptg\', \'Tag\', \'The keywords that are related to product name\')" onmouseout="HideHelp(\'dptg\');">Tag </a>
			<div id="dptg" style="position:fixed"></div></td>
			 <td width="58" align="center" class="form_txt">Type</td>
			  <td width="60" align="center" class="form_txt"><a onmouseover="ShowHelp(\'dindt\', \'Introdution Date\', \'Product release date\')" onmouseout="HideHelp(\'dindt\');">Intro Date </a>
			<div id="dindt" style="position:fixed"></div> </td>
			  <td align="center" width="90"  class="form_txt">Options</td>
			</tr>';
		
		$cnt = count($arr);
		
		$output .= ' <tr class="formblock_row1 formblock_row4" >
		
		<td align="center"><input type="text"  name="title"  id="title" value="'.$_POST['title'].'"  style="width:120px"/></td><br />
		
		<td align="center"><input type="text"  style="width:60px;" id="brand" name="brand" value="'.$_POST['brand'].'" /></td>
		<td align="center"><input type="text" id="sku" name="sku" style="width:50px;" value="'.$_POST['sku'].'"/></td>
		<td align="center">From:<input type="text" name="frommsrp" id="frommsrp" style="width:50px;" value="'.$_POST['frommsrp'].'"/><br/><br/>To:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="tomsrp" id="tomsrp" value="'.$_POST['tomsrp'].'" style="width:50px;"/></td>
		<td align="center">From:<input type="text"  name="fromprice" id="fromprice" style="width:50px;" value="'.$_POST['fromprice'].'"/><br/><br/>To:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text"  name="toprice" id="toprice" value="'.$_POST['toprice'].'" style="width:50px;"/></td>
		<td align="center"><select id="visibility1" name="status" type="select" style="width:45px" >';

		$pstatus=array("All"=>"-1",'Enabled'=>1,'Disabled'=>0);
		if($_POST['status']=='')
		$stat=-1;
		else
		$stat=$_POST['status'];
		foreach($pstatus as $key=>$val)
		{
			$output .=  ($stat == $val)? '<option value="'.$val.'" selected="selected">'.$key.'</option>' : '<option value="'.$val.'" >'.$key.'</option>' ;
		}

		$output.='</select></td>
		<td align="center"><select id="visibility2" name="cse" type="select" style="width:45px" >';
		$pcse=array("All"=>"-1",'Enabled'=>1,'Disabled'=>0);
		if($_POST['cse']=='')
		$cse=-1;
		else
		$cse=$_POST['cse'];
		foreach($pcse as $key=>$val)
		{
			$output .=  ($cse == $val)? '<option value="'.$val.'" selected="selected">'.$key.'</option>' : '<option value="'.$val.'" >'.$key.'</option>' ;
		}
	$producttype='<select id="protype" name="cse" type="select" style="width:45px" ><option value="-1">All</option>
					<option value="0">Physical</option><option value="1">Digital</option></select>';
	
		$output.='</select></td>
			<td align="center"><input type="text" id="tag" name="tag" style="width:50px;" value="'.$_POST['tag'].'"/></td>
			<td align="center">'.$producttype.'</td>
			<td align="center">From:&nbsp;&nbsp;&nbsp;<input type="text" id="fromdate" name="fromdate" style="width:50px;" value="'.$_POST['fromdate'].'" />&nbsp;<input type="image" src="images/icon_cal.gif" id="cal-button-1" value="cal"><br><br>To :&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" id="todate" name="todate" style="width:50px;" value="'.$_POST['todate'].'"/>&nbsp;<input type="image" src="images/icon_cal.gif" id="cal-button-2" value="cal" >
		 <script type="text/javascript">
			Calendar.setup({
		      inputField    : "fromdate",
		      button        : "cal-button-1",
		      align         : "Tr"
		    }); </script>
				<script type="text/javascript">
		    Calendar.setup({
		      inputField    : "todate",
		      button        : "cal-button-2",
		      align         : "Tr"
		    }); </script>
		</td>
		<td align="center"><input class="button_style1" type="button" name="search" value="Search" onclick="loadorder();"/>
		<tr><td id="titlescoll" style="postion:absolute"></td></tr></form></div><tr> <td colspan="11">';
		return $output;
	 }
	 
	 
	/**
	 * Function creates a template to display all the products available in the database. 
	 * @param array $arr
     * @param integer $flag
     * @param integer $paging
	 * @param integer $prev	 
	 * @param integer $next	 
	 * @param integer $start	 	
	 * @return string
	 */	 
	 
	function showAllProducts($arr,$flag,$paging,$prev,$next,$start)
	{	
			
	$output='<div name="ajaxcontentdiv" id="ajaxcontentdiv" >
	  <table cellspacing="0" border="0" width="100%" align="center" >';
		if(count($arr) > 0)
		{
			$count=count($arr);
			for($i=0;$i<$count; $i++)
			{
				$introdatetime=$arr[$i]['intro_date'];
				$intro_date_time = explode(" ",$introdatetime);
				$intro_date = explode("-",$intro_date_time[0]);
				$intro_time = explode(":",$intro_date_time[1]);
				$introdate=date("M d, Y",mktime(0,0,0,$intro_date[1],$intro_date[2],$intro_date[0]));
				if($i % 2 == 0)
					$output.='<tr class="formblock_row1 form_border" >';
				else
					$output.='<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);"  class="formblock_row2 form_border">';
					
				$temp=$arr[$i]['image'];
				$img=explode('/',$temp);
				
				if($arr[$i]['digital']==0)
				{	$ptypes="physical_link";
					$typetitle='Physical'; }
				else
				{	$ptypes="digital_link";	
					$typetitle='Digital'; }
				
				if($arr[$i]['status']==0)
				{	$status="inactive_link";
					$stitle='Inactive'; }
				else
				{	$status="active_link";	
					$stitle='Active'; }
				
				if($arr[$i]['cse_enabled']==0)
				{   $cse="inactive_link"; $cstitle='Inactive'; }
				else
				{	$cse="active_link";	 $cstitle='Active'; }
					
				$output.='<input type="hidden" name="mainindex" value="">';
					
					$td='align="left"';
					$tdsku='align="left"';
					$tdtag='align="left"';
					
					if($arr[$i]['brand']=='' )
					{
						 $arr[$i]['brand']='--';
						 $td='align="center"';
						 
					 }	 
					 
					 if($arr[$i]['sku']=='')
					 {
						 $arr[$i]['sku']='--';
						 $tdsku='align="center"';
						 
					 }	 
					 
					  if($arr[$i]['tag']=='')
					 {
						 $arr[$i]['tag']='--';
						 $tdtag='align="center"';
						 
					 }	 
				
				$title=(strlen($arr[$i]['title'])>20) ? substr($arr[$i]['title'],0,20).'...' : $arr[$i]['title'] ;
				$output .= '<td width="181" align="left" style="text-indent:5px;"><a class="content_list_link" href="?do=aprodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.$title.'</a></td>';
				$output .= '<td width="96" '.$td.'  style="text-indent:5px;">'.$arr[$i]['brand'].'</td><td width="73"'.$tdsku.' style="text-indent:5px;">'.$arr[$i]['sku'].'</td>';
				$output .= '<td width="67" align="right" style="text-indent:5px;">'.$_SESSION['currency']['currency_tocken'].' '.number_format($arr[$i]['msrp'],2).'&nbsp;</td>';
				$output .= '<td width="67" align="right" style="text-indent:5px;">'.$_SESSION['currency']['currency_tocken'].' '.number_format($arr[$i]['price'],2).'&nbsp;</td>';
				$output .= '<td width="69" align="center" style="text-indent:5px;"><span class="'.$status.'" title="'.$stitle.'"></span></td>';
				$output .= '<td width="69" align="center" style="text-indent:5px;"><span class="'.$cse.'" title="'.$cstitle.'"></span></td>';
				$output .= '<td width="85" '.$tdtag.' style="text-indent:5px;">'.str_replace(',',', ', $arr[$i]['tag']) .'</td>';
				$output .= '<td width="58" align="center" style="text-indent:5px;"><span class="'.$ptypes.'" title="'.$typetitle.'"></span></td>';
				$output .= '<td width="68" align="left" style="text-indent:2px;">'.$introdate.'</td>';
				
				if($arr[$i]['digital']==1)
				{
				  $editurl='digiteditprod';
				}
				else
				{
					$editurl='editprod';
				}
				
				$output.='<td width="90" align="center" style="text-indent:5px;"><span><a href="?do=manageproducts&action='.$editurl.'&prodid='.$arr[$i]['product_id'].'"><img src="images/icon_edit1.gif" border="0" title="Edit Product" alt="Edit" /></a> </span> &nbsp;&nbsp;&nbsp;&nbsp;				 
					<span><a href="?do=manageproducts&action=delete&prodid='.$arr[$i]['product_id'].'" onclick="return confirm(\'Are you sure want to Delete this Product?\')" ><img src="images/icon_delete1.gif" border="0" title="Delete Product" alt="Delete" /></a></span></td></tr>';
				$output.='<input type="hidden" name="productid[]" value="'.$arr[$i]['product_id'].'" />';
				$start++;
			}
			
		}
		else
			{
				$output.= '<tr><td align="center" colspan="11" height="50px"><font color="#E25A00"><b>No Products Matched</b></font></td></tr>';
			}
			
			$output .='<tr align="center" height="30px" ><td colspan="12"  class="formblock_bleft formblock_bbg formblock_bright" >'.$prev.' ';
			
			for($i=1;$i<=count($paging);$i++)
				$pagingvalues .= $paging[$i]."  ";
			
			$output.= $pagingvalues.' '.$next.'</td></tr>';
			$output .= '</table></div></td></tr></table>';
			
		return $output;
	
	}
	
	/**
	 * Function creates a template to display the titles available. 
	 * @param array $arr
	 * @return void
	 */
	
	function getTitle($arr)
	{
		$cnt=count($arr);
		for($i=0;$i<$cnt;$i++)
		{      		
			$output.='<div style="cursor:pointer" onclick="call(\''.$arr[$i]['title'].'\')">'.$arr[$i]['title'].'</div><br/>';
		}	
		echo $output;
	}
	

	/**
	 * Function creates a template to display the product details available. 
	 * @param array $result
	 * @param string $category
	 * @param string $subcat
	 * @return string
	 */	
	
	function  editProduct($result,$category,$subcat)
	{   
		$row=$result;
		
		$product_id=$row[0]['product_id'];
		$category_id=$row[0]['category_id'];
		$sku=$row[0]['sku']; 
		$title=$row[0]['title'];
		$description=$row[0]['description'];
		$brand=$row[0]['brand'];
		$model=$row[0]['model']; 
		$msrp=$row[0]['msrp'];
		$price=number_format($row[0]['price'],2);
		$cse_enabled=$row[0]['cse_enabled'];
		$weight=$row[0]['weight'];
		$dimension=$row[0]['dimension'];
		$thumb_image=$row[0]['thumb_image'];
		$image=$row[0]['image']; 
		$shipping_cost=$row[0]['shipping_cost']; 
		$tag=$row[0]['tag'];
		$meta_desc=$row[0]['meta_desc'];
		$meta_keywords=$row[0]['meta_keywords'];
		$intro_date=$row[0]['intro_date']; 
		$is_featured=$row[0]['is_featured'];
		$status=$row[0]['status']; 
		
		if($status)
			$status="checked='checked'";
		else
			$status='';
		
		
		
		$output="
		<form name='productupdate' action='?do=manageproducts&action=updateprod&prodid=".$product_id."' method='post' enctype='multipart/form-data'>
		<table cellpadding='0' cellspacing='0' width='80%' border='0' align='center' bgcolor=''>
		<tr>
			<td colspan='8' align='left' class='content_title'>EDIT PRODUCT ENTRY</td>
			<td class='content_title' width='20%' align='right'><a href='javascript:history.back()' class='more_page' onclick=''>Back</a></td>
		</tr>
		<tr>
			<td colspan='9' align='left'>&nbsp;</td>
		</tr>
          	<tr>
            		<td colspan='9' align='left'></td>
          	</tr>
          	<tr>
            		<td colspan='9' align='left'>&nbsp;</td>
          	</tr>
		<tr>
			<td colspan='9'>
			<table cellpadding='0' cellspacing='0' width='107%' border='0' align='center'>
			<tr>
	 	 		<td>
					<table width='100%' height='55' border='0' cellpadding='5' cellspacing='0'>
			 		<!--<tr>
						<td colspan='4' class='label_name'><b>Product Details</b> </td>
			 		</tr>-->
					<tr>
						<td width='31%' class='label_name'> Product Name</td>
						<td colspan='3'><input name='title' id='title'  type='text' size='50' value='".$title."' /></td>
					</tr>
					<tr>
						<td colspan='4' class='label_name'> Product Description </td>
					</tr>
					<tr>
						<td colspan='4' class='label_name'><textarea name='desc' id='desc' rows='20'  cols='80'>".$description."</textarea></td>
					</tr>
					<tr>
						<td class='label_name'> Product Category </td>
						<td colspan='3' class='label_name'>".$category."</td>
					</tr>
			
					<tr>
						<td class='label_name'> Product Subcategory </td>
						<td colspan='3' id='subcats' class='label_name'>".$subcat."</td>
					</tr>
					<tr>
						  <td class='label_name'>Brand</td>
						  <td colspan='3' class='label_name' ><input name='brand' id='brand' value='".$brand."' type='text' /></td>
					</tr>
			  		<tr>
						  <td class='label_name'>SKU</td>
						  <td colspan='3' class='label_name' ><input name='sku' id='sku' value='".$sku."' type='text' /></td>
					</tr>
					<tr>
						  <td class='label_name'>Model</td>
						  <td colspan='3' class='label_name' ><input name='model' id='model'  type='text' value='".$model."'  /></td>
			  		</tr>
					<tr>
						<td colspan='4'>&nbsp;</td>
					</tr>
					<tr>
						<td colspan='4'><hr /></td>
					</tr>
					<tr>
						<td colspan='4' class='label_name'><b><span style='font-size:15px'>Price & Shipping Details</span></b> </td>
					</tr>
					<tr>
						<td class='label_name'> Product Price </td>
						<td  colspan='3' class='label_name'><input name='price' id='price' type='text' value='".$price."' /></td>
					</tr>
					<tr>
						<td class='label_name'> Product Msrp </td>
						<td colspan='3' class='label_name'><input name='msrp' id='msrp' type='text' value='".$msrp."' /></td>
					</tr>
					<tr>		
						<td class='label_name'> Product Shipping Cost </td>
						<td colspan='4' class='label_name'><input name='shipcost' id='shipcost' value='".$shipping_cost."' type='text' /></td>
					</tr>
					<tr>
						<td>&nbsp;</td>
						<td colspan='4'>&nbsp;</td>
					</tr>
					<tr>
					  	<td class='label_name'>Weight</td>
					  	<td colspan='4' class='label_name'><input name='weight' id='weight' value='".$weight."' type='text'  /></td>
			  		<tr>
						<td class='label_name'>Dimension</td>
					 	<td colspan='4' class='label_name'><input name='dimension' id='dimension' value='".$dimension."' type='text' /></td>
			  
			    
			    		<tr>
						<td class='label_name'>Image </td>
						<td colspan='2' class='label_name' ><input type='file' name='prodcutimage' /></td><td colspan='2'><img src='../".$image."' alt='' name='mainimage'/></td>
					</tr>
			    
					<tr>
						<td>&nbsp;</td>
						<td colspan='4'>&nbsp;</td>
					</tr>
					<tr>
						<td colspan='4'><hr /></td>
					</tr>
					<tr>
						<td colspan='4' class='label_name'><b><span style='font-size:15px'>Search Details</span></b> </td>
					</tr>
					<tr>
						<td class='label_name'> Product Tags </td>
						<td  colspan='4' class='label_name'><input name='tag' id='tag' value='".$tag."'  type='text'/>&nbsp;seperated by comma </td>
					</tr>
					<tr>
						<td class='label_name' colspan='3'><b>Meta Data Information</b> </td>
						<td>&nbsp;</td>
					</tr>
					<tr>
						<td class='label_name'> Product Meta Description </td>
						<td class='label_name' colspan='4'><input name='meta_desc'  type='text' value='".meta_desc."'  id='meta_desc' size='80' /></td>
					</tr>
					<tr>
						<td class='label_name'>Product Meta Keywords </td>
						<td class='label_name' colspan='4'><input name='meta_keywords' type='text' id='meta_keywords' value='".$meta_keywords."' size='80' /></td>
			  		</tr>
					<tr>
						  <td class='label_name'>Intro Date </td>
						  <td class='label_name'  colspan='4'><input  type='text' id='intro_date' name='intro_date' value='".$intro_date."'  /><input type='image' src='images/calendar_img.gif' id='cal-button-1' value='cal'>
			 		 <script type='text/javascript'>
					    Calendar.setup({
					      inputField    : 'intro_date',
					      button        : 'cal-button-1',
					      align         : 'Tr'
					    });
					  </script></td>
					</tr>
					<tr>
						  <td class='label_name' >CSE Enabled </td>
						  <td class='label_name' colspan='4'> "; 
						if($cse_enabled=='0')
						{
						 	$output.="<input name='cse_enabled' type='checkbox' id='cse_enabled' />";
						} 
						else
						{
							$output.="<input name='cse_enabled' type='checkbox' id='cse_enabled' checked='checked'/>";
						}
						$output.="</td>
					</tr>
					<tr>
						<td class='label_name'>Is Featured </td>
						<td class='label_name' colspan='4'> "; 
						if($is_feautured=='0')
						{
							$output.="<input name='is_feautured' type='checkbox' />";
						}	 
						else
						{
							 $output.="<input name='is_feautured' type='checkbox' checked='checked'/>";
						}
						$output.="</td>
					</tr>
					<tr>	
						<td class='label_name'>Visibility </td>
						<td class='label_name' colspan='4'>"; 
						if($status=='0')
						{
						 	$output.="<input name='status' type='checkbox'  />";
						} 
						else
						{
					 		$output.="<input name='status' type='checkbox' checked='checked'/>";
						}	
				   		$output.=" </td>
					</tr>
					<tr>
						<td class='label_name' colspan='5'><div align='center'><input type='submit' name='submit' value='Update' /></div></td>
					</tr>
					</table>
					</td>
				</tr>
				</table>
				</td>
			</tr>	
			</table>
		</form>";

		return $output;

	}
	
	/**
	 * Function creates a template to display the product details available. 
	 * @param array $arr
	 * @param string $value
	 * @return string
	 */	
	
	
	function editRelated($arr,$value)
	{	
		
			
		$output.='
			<div style="text-align:right; width:100%; padding-bottom:10px"><input class="button_style1" type="button" name="search" value="Reset"  onclick="searchProducts(\'all\');"/>&nbsp;&nbsp;&nbsp;<input class="button_style1" type="button" name="search" value="Search"  onclick="searchProducts(\'sear\');"/></div>
		<table cellpadding="0" cellspacing="0" border="0" width="850">
		 <tr class="formblock_row3">
                  <td align="center" class="form_txt" width="50"></td>
		  <td align="center" class="form_txt" width="400">Product Name</td>
		  <td align="center" class="form_txt" width="200">Brand</td>
		  <td align="center" class="form_txt" width="100">MSRP</td>
		  <td align="center" class="form_txt" width="100">Price</td>	  
		  </TR>';
		
		$cnt = count($arr);
		
		$output .= '<tr class="formblock_row1 form_border formblock_content formblock_row4">
		<td align="center"><input type="checkbox" name="chkMain" onClick="chkall();" value=1></td>
		<td align="center"><input type="text" id="title1"  name="title" style="width:130px;" value="'.$_POST['title'].'" /></td>
		<td align="center"><input type="text"  style="width:100px;" name="brand" id="brand1"  value="'.$_POST['brand'].'"/></td>
		<td align="center" style="padding-left:3px; padding-right:3px;">From:<input type="text" name="frommsrp" id="frommsrp1" size="4" value="'.$_POST['frommsrp'].'"/><br/><br/>To:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text" name="tomsrp" id="tomsrp1" size="4" value="'.$_POST['tomsrp'].'"/></td>
		<td align="center" style="padding-left:3px; padding-right:3px;">From:<input type="text"  name="fromprice" id="fromprice1" size="4" value="'.$_POST['fromprice'].'"/><br/><br/>To:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="text"  name="toprice" id="toprice1" size="4" value="'.$_POST['toprice'].'"/></td>';

		$output.='</tr>';
		$output.='<tr><td ID="search" colspan="7">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" >';	
		if(count($arr) > 0)
			$count=count($arr);
		if($flag=='0')
			return $output .= '<tr><td align="center" colspan="7"><font color="orange"><b>No Products Matched</b></font></td></tr>';
		else
		{
			for($i=0;$i<$count; $i++)
			{
					if($i % 2 == 0)
					$classtd='class="formblock_row1 form_border"';
				else
					$classtd='class="formblock_row2 form_border"';
					
				$temp=$arr[$i]['image'];
				$img=explode('/',$temp);
				if(in_array($arr[$i]['product_id'],$value))
				{
				
					$check='checked="checked"';
				}
				else
				{
					$check='';
				}
				
				if($arr[$i]['status']==0)
					$status="Disabled";
				else
					$status="Enabled";	
				
				$output.='<input type="hidden" name="mainindex" value="">';
				$output .='<tr style="background-color:#FFFFFF;" onmouseout="listbg(this, 0);" onmouseover="listbg(this, 1);" '.$classtd.'><td align="center" width="54" style="text-indent:5px;"><input name="chkSub[]" id="chkSub" type="checkbox" value="'.$arr[$i]['product_id'].'"></td>';
				
				
				$title=(strlen($arr[$i]['title'])>25) ? substr($arr[$i]['title'],0,25).'...' : $arr[$i]['title'] ;
				$output .= '<td align="left" width="389"  style="text-indent:5px;"><a class="content_list_link" href="?do=aprodetail&action=showprod&prodid='.$arr[$i]['product_id'].'">'.$title.'</a></td><td width="205" align="left"  style="text-indent:5px;">'.$arr[$i]['brand'].'</td><td width="105" align="right">'.$_SESSION['currency']['currency_tocken'].$arr[$i]['msrp'].'&nbsp;</td><td width="105" align="right">'.$_SESSION['currency']['currency_tocken'].$arr[$i]['price'].'&nbsp;</td>';
				
							
				$output.='</tr>';
				$start++;
			}
			
			/*$output.='<tr align="center"><td colspan="11"  class="content_list_footer" >'.' '.$prev.' ';
			
			for($i=1;$i<=count($paging);$i++)
				$pagingvalues .= $paging[$i]."  ";*/
			$output.= '</td></tr> 
		<tr align="center" height="30px" ><td colspan="5"  class="formblock_bleft formblock_bbg formblock_bright" ><table><tr><td><input type="button" name="category" class="button_style1" value="Back" onClick="clk(\'Image60\',\'images/tab_images/meta_1.gif\',12)"/></td><td><input type="submit" name="submit" class="button_style1" value="Finish" /></td>
                    </tr></table></td>
                    </tr></table></td></tr></table>';
			//$output.= '</td></tr></table></td></tr></table>';
			
			//$output.= '</td></tr></table>';
			return $output;
		}
	
	}
	
	/**
	 * Function displays a template for uploading the image. 
	 * @param array $sub
	 * @return string
	 */		
	
	function editImage($sub)
	{
		if($sub != 0)
		{
			for($i=1;$i<=count($sub);$i++)
			{
				
				$output.='<tr>
	                        <td width="31%" valign="top" class="content_form"> Sub Product Image </td>
        	                <td colspan="2" valign="top"><INPUT type="hidden" name="ufile_id['.$i.']" id="ufile_id['.$i.']" VALUE="'.$sub[$i-1]['product_images_id'].'">
                        	<INPUT NAME="ufile['.$i.']" ID="ufile['.$i.']"  type="file" />
				 </td>
				<td> <img src="../'.$sub[$i-1]['thumb_image_path'].'" height="50" weight=50  alt="Image" /></td>
        			</tr>';
			}
			
		}
		if($sub != 0) 
			$cnt=count($sub);
		else
			$cnt=0;
		
		for($j=$cnt;$j<4;$j++)
		{
			$output.='<tr>
	                        <td width="31%" valign="top" class="content_form"> Sub Product Image </td>
        	                <td colspan="2" valign="top"><INPUT type="hidden" name="ufile_id['.($j+1).']" id="ufile_id['.($j+1).']" >
                        	<INPUT NAME="ufile['.($j+1).']" ID="ufile['.($j+1).']"  type="file" />
				 </td>
				<td>&nbsp;</td>
        			</tr>';
		}
		return $output;
	}
	
	/**
	 * Function displays a template for uploading the image. 
	 * @param string $main
	 * @return string
	 */		
	
	
	function editMainImage($main)
	{
		if($main != 0)
		{
			$output='<tr>
                        <td width="31%" valign="top" class="content_form"> Main Product Image <font color="#FF0000">*</font></td>
                        <td colspan="2" valign="top"><INPUT type="hidden" name="ufile_id[0]" id="ufile_id[0]" VALUE="'.$main['product_images_id'].'">
                            <INPUT NAME="ufile[0]" ID="ufile[0]"  type="file" />
                            
			    </td>
			    <td> <img src="../'.$main['thumb_image_path'].'" height="50" weight=50  alt="Image" /></td>
                    </tr>';
				
		}
		else
		{
			$output='<tr>
                        <td width="31%" valign="top" class="content_form"> Main Product Image <font color="#FF0000">*</font></td>
                        <td colspan="2" valign="top"><INPUT type="hidden" name="ufile_id[0]" id="ufile_id[0]">
                         <INPUT NAME="ufile[0]" ID="ufile[0]"  type="file" />
                         </td>
			    <td>&nbsp;</td>
                    </tr>';
			
		}
		
		return $output;
	}
	
	/**
	 * Function creates a template for updating the available attributes. 
	 * @param array $result
	 * @param array $arr
	 * @return string
	 */		
	
	
/*	function editAttributes($result,$arr)
	{
		$cnt=count($result);
		
		$output='<table border="0" width="80%" cellpadding="4" cellspacing="4" align="center">';
		
		if((count($result))>0)
		{
			$cnt=count($result);
			for($i=0;$i<$cnt;$i++)
			{
				$val=count($result[$i]);
				$output.='
				<TR>
        		          <TD width="35%"> '.$result[$i][0]['attrib_name'].' </TD>';
				  $output.='<TD  colspan="3"><select name="attribute[]" style="width:160px"><option value="0">-None-</option>';
				  
				for($j=0;$j<$val;$j++)
				{	
					if(in_array($result[$i][$j]['attrib_value_id'],$arr))
					{
						$output.='<option value="'.$result[$i][$j]['attrib_value_id'].'" selected="selected">'.$result[$i][$j]['attrib_value'].'</option>';
					}
					else
					{
					$output.='<option value="'.$result[$i][$j]['attrib_value_id'].'">'.$result[$i][$j]['attrib_value'].'</option>';
					}
				}
				$output.='</select></TD>		
	                	</TR>';
			}
		}
		else
		{
			$output.='             
	        	<tr>
        			<td colspan="2" align="center"><font color="orange"><b>No Attributes found</b></font></td>
	                </tr>';
		
		}
		$output.='             
	      
	        </table>';
		
		return $output;
	
	}*/
	/**
	 * Function creates a template for updating the variation details. 
	 * @param array $arr
	 * @return string
	 */		
	//function editVariation()
	function editVariation($arr)
	{
	
		$output='<table width="830" cellspacing="0" cellpadding="0" bordor="0" align="center">
                	 <tr class="formblock_row3">
                    <td width="89" align="center" class="form_txt">Variation Name</td>
                    <td width="65" align="center" class="form_txt">SKU</td>
                    <td width="50" align="center" class="form_txt">Price</td>
                    <td width="50" align="center" class="form_txt">MSRP</td>
                    <td width="150" align="center" class="form_txt">Image</td>
					 <td width="35" align="center" class="form_txt">&nbsp;</td>
                    <td width="130" align="left"><table bordor="0" cellspacing="0" cellpadding="0"><tr><td colspan="3" align="center" class="form_txt" style="border:none">Dimension (inches)</td></tr><tr><td align="left" class="form_txt" style="border:none">Width</td><td align="left" class="form_txt" style="border:none">Height</td><td align="left" class="form_txt" style="border:none">Depth</td></tr></table></td>
                    <td width="40" align="center" class="form_txt">Weight (lbs)</td>
                    <td width="50" align="center" class="form_txt">Shipping Cost ('.$_SESSION["currency"]["currency_code"].')</td>
                    <td width="30" align="center" class="form_txt">SOH</td>
                    <td width="30" align="center" class="form_txt">ROL</td>
					<td width="20" align="center" class="form_txt">&nbsp;</td></tr>';
					$output.='<tr><td colspan="12" align="center"><div id="productVariationDiv" width="90%">';
		
				for($i=1;$i<=count($arr);$i++)
				{
				
				if(!empty($arr[$i-1]['dimension']))
				{
					$strdim=array();
					$strdim=explode('x',$arr[$i-1]['dimension']);
					$varwidth=trim($strdim[0]);
					$varheight=trim($strdim[1]);
					$vardepth=trim($strdim[2]);
				}
				
				$output.="<div id='productVariationDiv".$i."'><table width='830' cellspacing='1' cellpadding='0' border='0' align='center'><tr><td width='89' align='center'><input type='hidden' id='varianid' name='varianid[]' value='".$arr[$i-1]['variation_id']."' /><input id='varianname".$i."' name='varianname[]' type='text' size='10' value='".$arr[$i-1]['variation_name']."'/></td><td width='65' align='center'><input id='prsku".$i."' name='prsku[]' type='text' size='5' value='".$arr[$i-1]['sku']."'/></td><td width='50' align='center'><input id='prprice".$i."' name='prprice[]' type='text' size='5' value='".$arr[$i-1]['price']."'/></td><td width='50' align='center'><input id='prmsrp".$i."' name='prmsrp[]' type='text' size='5' value='".$arr[$i-1]['msrp']."'/></td><td width='150' align='center'><input id='prvarimage".$i."' name='prvarimage[]' type='file' size='1'/></td><td width='35'><img src='../".$arr[$i-1]['thumb_image']."' width='35' height='35'></td><td width='130' align='left'><table><!--<tr><td>width</td><td>height</td><td>Depth</td></tr>--><tr><td><input id='prwidth".$i."' name='prwidth[]' type='text' size='2' value='".$varwidth."' /></td><td><input id='prheight".$i."' name='prheight[]' type='text' size='2' value='".$varheight."'/></td><td><input id='prdepth".$i."' name='prdepth[]' type='text' size='2' value='".$vardepth."'/></td></tr></table></td><td width='40' align='center'><input id='prweight".$i."' name='prweight[]' type='text' size='2' value='".$arr[$i-1]['weight']."'/></td><td width='50' align='center'><input id='prshipcost".$i."' name='prshipcost[]' type='text' size='3' value='".$arr[$i-1]['shipping_cost']."'/></td><td width='30' align='center'><input id='prsoh".$i."' name='prsoh[]' type='text' size='2' value='".$arr[$i-1]['soh']."'/></td><td width='30' align='center'><input id='prrol".$i."' name='prrol[]' type='text' size='2' value='".$arr[$i-1]['rol']."'/></td><td width='20'><a href=\"javascript:;\"  onclick=\"removeVariation('productVariationDiv".$i."')\"><img src='images/icon_delete.jpg' alt='Remove' border='0'></a></td></tr></table></div>";
				}
			
			$output.="</div></td></tr></table>";
					return $output;
	}
	
	/**
	 * Function creates a template for updating the tier price available. 
	 * @param array $arr
	 * @return string
	 */		
	
	
	function editTierPrice($arr)
	{
		if(count($arr) > 0)
		{
			for($i=1;$i<=count($arr);$i++)
			{
				$output.="<tr style='background-color:#FFFFFF;' onmouseout='listbg(this, 0);' onmouseover='listbg(this, 1);' class='formblock_row2'>
			
			<td class='content_list_txt1' width='40%'><INPUT NAME='quantity[]' ID='quantity[]'  type='text'  size='3'  value='".$arr[($i-1)]['quantity']."'/>&nbsp;and above</td><td width='31%' class='content_list_txt1'><INPUT NAME='msrp[]' ID='msrp[".$i."]'  type='text'  size='5' value='".$arr[($i-1)]['msrp']."'/>&nbsp;<b>[".$_SESSION['currency']['currency_code']."]</b></td></tr>";
			}
			
		}
		for($j=count($arr);$j<5;$j++)
		{
			$output.="<tr class='formblock_row2'>
			
			<td class='content_list_txt1' width='40%'><INPUT NAME='quantity[]' ID='quantity[]'  type='text'  size='3' />&nbsp;	and above</td><td width='31%' class='content_list_txt1'><INPUT NAME='msrp[]' ID='msrp[".($j+1)."]'  type='text'  size='5' />&nbsp;<b>[USD]</b></td></tr>";
		}
		return $output;
	
	}
	
	
	//****************** END**************************************************//
	
	/**
	 * Function displays a template for the categories available. 
	 * @param array $result
	 * @param integer $catid
	 * @return string
	 */		
	
	
	function displayCategory($result,$catid)
	{
		//print_r($catid);
	    if((count($result))>0)
		{
		    $output='<select name="selcatgory" id="selcatgory" onchange="showSubCat(this.value);" class="form_combobox" ><option value="">Select</option>';
			if(count($result)>0)
			
		    foreach($result as $row) 			
			{
				//while(list($id,$name)=$row)
				
			   $id=$row['category_id'];
			   $name=$row['category_name'];
			 
			   if($catid==$id)
			   {
			   $output.='<option value="'.$id.'" selected >'.$name.'</option>';
			   }
			   else
			   {
			   	$output.='<option value="'.$id.'"  >'.$name.'</option>';
			   }
			}
			$output.='</select>';
		}
		return $output;
	}
	
	/**
	 * Function displays a template for the sub categories available. 
	 * @param array $result
	 * @param integer $subcatid
	 * @return string
	 */		
	
	
	function displaySubCategory($result,$subcatid)
	{
		$output='<select name="selsubcatgory" id="selsubcatgory" class="form_combobox"><option value="">Select</option>';
		
		if((count($result))>0)
		{
		  
			foreach($result as $row)
			{
			
				$id=$row['category_id'];
			   	$name=$row['category_name'];
							
				if($subcatid==$id)
			   	{
			   		$output.='<option value="'.$id.'" selected>'.$name.'</option>';
				}
				else
				{
					$output.='<option value="'.$id.'">'.$name.'</option>';
				}
			}
			
		}
		$output.='</select>';

		return $output;
	}
}	