<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * DQuickMenu
 *
 * This class contains functions to display quick menu.
 *
 * @package		Display_DQuickMenu
 * @category	Display
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Display_DQuickMenu
{
	/**
	 * view quick menu. 
	 * @param array $arr
	 * @param array $tot
	 * @return string
	 */
	 
	function viewQuickmenu($arr,$tot)
	{
		$output='';
		for ($i=0;$i<count($arr);$i++)
		{
			$class='';		
			if($i == 0 && $tot!=1)
				$class='class="topline"';
			$output.='<li '.$class.' ><a href="'.$arr[$i]['url'].'">'.$arr[$i]['description'].'</a></li>';			
		}		
		$output.='<li class="botline" ><a href="?do=showquickmenu">Quick Menu Settings</a></li>';		
		return $output;
	}
	
	/**
	 * show quick menu list
	 * @param array $arr
	 * @param array $tot
	 * @return string
	 */
	 
	function showQuickMenuList($arr,$tot)
	{
		if(count($arr)>0)
		{	 
			$output='<tr>
						  <td colspan="3"><div class="formblock_content">
							  <table width="100%" border="0" cellpadding="0" cellspacing="0">
								<tr class="formblock_row3">
								  <td width="10%" align="center" class="form_txt">S.No</td>
								  <td width="80%" align="center" class="form_txt">Description</td>
								  <td width="10%" align="center" class="form_txt"><input type="checkbox" name="chk" id="chk" onclick="checkedAll();" /></td>
								</tr>
							  </table>
							</div></td>
						</tr>                    
						<tr>
						  <td colspan="3"><div class="formblock_content">
							  <table width="100%" border="0" cellpadding="0" cellspacing="0">';
							  
			for ($i=0;$i<count($arr);$i++)
			{
					if($i % 2 == 0)
						$class='class="formblock_row1 form_border"';
					else
						$class='class="formblock_row2 form_border"';
						
								$output.='<tr '.$class.'>
								  <td width="10%" align="center" style="text-indent:5px;">'.($i+1).'</td>
								  <td width="80%" align="left" style="text-indent:5px;">'.$arr[$i]['description'].'</td>
								  <td width="10%" align="center" style="text-indent:5px;">
								  <input type=checkbox name=chkStatus[]  value='.$arr[$i]['menu_id'].'></td>
								</tr>';
			}                            
				  $output.='</table>
						</div></td>
					</tr>
					 <tr>
					  <td class="formblock_bleft">&nbsp;</td>
					  <td align="center" class="formblock_bbg"><input input type="submit" name="btnreport" value="Delete" class="button_style1"></td>
					  <td class="formblock_bright">&nbsp;</td>
					</tr>                    
				</table></form>';
			}

		else
		{
			$output='<tr>
				  <td colspan="3"><div class="formblock_content">
					  <table width="100%" border="0" cellpadding="0" cellspacing="0">';
					   $output.='<tr class="formblock_row1 form_border">
						  <td class="red_star" align="center" colspan="3">No Records Found</td>
						</tr>';
						 $output.='</table>
					</div></td>
				</tr>
				 <tr>
				  <td class="formblock_bleft">&nbsp;</td>
				  <td align="center" class="formblock_bbg"></td>
				  <td class="formblock_bright">&nbsp;</td>
				</tr>                    
			</table></form>';
		}
		return $output;
	}

}
?>	