<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * MCurrencySettings
 *
 * This class contains functions to add, edit and delete a tax rate for the list of currencies available 
 * 
 * @package		Model_MCurrencySettings
 * @category	Model
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------

class Model_MCurrencySettings
{
	
	/**
	 * Function displays the list of currencies available  
	 * 
	 * 
	 * @return array
	 */	
		
	function showCurrencyList()
	{	
		//$output = array();
		
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/Settings/CCurrencySettings.php');
		include('classes/Display/DCurrencySettings.php');
		include('classes/Core/CAdminHome.php');
		include('classes/Display/DAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('Y-m-d , H:m:s');		
		
		$chkuser=Core_CRoleChecking::checkRoles();
		
		if($chkuser)
		{
			$output['insmsg'] =$_SESSION['rtsinsmsg'];
			unset($_SESSION['rtsinsmsg']);
			$output['currencyform'] = Core_Settings_CCurrencySettings::showCurrencyForm();
			$output['ajaxlist'] = Core_Settings_CCurrencySettings::showCurrencyList();
			
			Bin_Template::createTemplate('currencysettings.html',$output);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	

	function showAjaxCurrency()
	{
		include('classes/Core/Settings/CCurrencySettings.php');
		include('classes/Display/DCurrencySettings.php');
		$output['ajaxlist'] = Core_Settings_CCurrencySettings::showCurrencyList();	
		Bin_Template::createTemplate('ajaxcontent.html',$output);
	}
	
	/**
	 * Function displays a template for adding a new currency  
	 * 
	 * 
	 * @return array
	 */	
	
	

	function showAddCurrency()

	{	
		$output = array();
		include("classes/Lib/HandleErrors.php");
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/Settings/CCurrencySettings.php');
		include('classes/Display/DCurrencySettings.php');
		include('classes/Core/CAdminHome.php');
		include('classes/Display/DAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('Y-m-d , H:m:s');		
		$chkuser=Core_CRoleChecking::checkRoles();
		
		if($chkuser)
		{
			$output['currencysettings'] = Core_Settings_CCurrencySettings::showAddCurrency($Err);
			Bin_Template::createTemplate('addcurrencysetting.html',$output);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}

	
	
	function addCurrency()
	{	
		include('classes/Lib/CheckInputs.php');
		include('classes/Core/Settings/CCurrencySettings.php');
		$obj = new Lib_CheckInputs('addnewcurrency');
		$default = new Core_Settings_CCurrencySettings();
		$_SESSION['rtsinsmsg'] = $default->addNewCurrency();
		header("Location:?do=showcurrencylist");
	}
	
	function showEditCurrency()
	{
		$output = array();
		include("classes/Lib/HandleErrors.php");
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/Settings/CCurrencySettings.php');
		include('classes/Display/DCurrencySettings.php');
		include('classes/Core/CAdminHome.php');
		include('classes/Display/DAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('Y-m-d , H:m:s');		
		$chkuser=Core_CRoleChecking::checkRoles();
		
		if($chkuser)
		{
			$output['currencysettings'] = Core_Settings_CCurrencySettings::showEditCurrency($Err);
			Bin_Template::createTemplate('editcurrencysetting.html',$output);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	function updateCurrency()
	{	
		include('classes/Lib/CheckInputs.php');
		include('classes/Core/Settings/CCurrencySettings.php');
		$obj = new Lib_CheckInputs('updatecurrency');
		$default = new Core_Settings_CCurrencySettings();
		$_SESSION['rtsinsmsg'] = $default->updateCurrency();
		header("Location:?do=showcurrencylist");
	}
	function deleteCurrency()
	{
		include('classes/Core/Settings/CCurrencySettings.php');
		$default = new Core_Settings_CCurrencySettings();
		$_SESSION['rtsinsmsg'] = $default->removeCurrency();
		header("Location:?do=showcurrencylist");
	}
	
}
?>