<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * MSubAdminManagement
 *
 * This class contains functions to  edit and delete the customer group
 * at the admin side.
 * @package		Model_MCustomerGroup
 * @category	Model
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Model_MCustomerGroup
{
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	
	var $output = array();	
	
	/**
	 * Function displays the list of Customer available 
	 * at the admin side   
	 * 
	 * @return array
	 */
	function showCustomerGroup()
	{
		include("classes/Lib/HandleErrors.php");
		$output['val']=$Err->values;
		$output['msg']=$Err->messages;
	
		include('classes/Core/CCustomerGroup.php');
		include('classes/Display/DCustomerGroup.php');		
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];				
	//	$output['category']=Core_CAdminHome::getCategory();
	//	$output['products']=Core_CAdminHome::getProducts();
	//	$output['ordercount']= Core_CAdminHome::getOrderCount();
	//	$output['customers']=Core_CAdminHome::getCustomers();
		
		//include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		//$output['currentDate']=date('Y-m-d , H:m:s');		
/*<!--		$output['category']= (int) Core_CAdminHome::getCategory();
		$output['products']= (int) Core_CAdminHome::getProducts();
		$output['ordercount']= (int) Core_CAdminHome::getOrderCount();
		$output['customers']= (int) Core_CAdminHome::getCustomers();-->*/
		
				
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			$output['errmsg']=$_SESSION['update_msg'];
			unset($_SESSION['update_msg']);	
		    unset($_SESSION['addmsg'])	;	
			
			
			$output['subadmin'] =   Core_CCustomerGroup::displayCustomerGroup($Err);
			$output['ajaxlist'] =   Core_CCustomerGroup::displayAjaxCustGroup($Err);
			 	
			Bin_Template::createTemplate('customergroup.html',$output);	
		    unset($_SESSION['updatemsg'])	;	 
					
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		
	}	
	
	
	
	
	
	/**
	 * Function displays the  details  of  customer for updation 
	 * 
	 * 
	 * @return array
	 */
	
	function editCustomerGroup()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		$chkuser=Core_CRoleChecking::checkRoles();
		include('classes/Core/CCustomerGroup.php');
		include('classes/Display/DCustomerGroup.php');
		if($chkuser)
		{
			$output['editcustgroup'] =   Core_CCustomerGroup::displaySelectedGroup();
			Bin_Template::createTemplate('editcustomergroup.html',$output);				
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		
	}	
	
	/**
	 * Function updates the changes made in the sub admin roles
	 * 
	 * 
	 * @return array
	 */
	
	function updateCustomerGroup()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		include('classes/Core/CCustomerGroup.php');
			include('classes/Display/DCustomerGroup.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		$checkCustGroupExists=Core_CCustomerGroup::checkCustGroupExists();
			
		
		
		if($chkuser)
		{
			if ($checkCustGroupExists)
			{
				$output['errmsg'] = '<div class="error_msgbox"> Customer Group Already Exists</div>';
				
				Bin_Template::createTemplate('editcustomergroup.html',$output);				
				 
			
				
			}	
			else
			{   
			     
				 
				         $output['msg'] = Core_CCustomerGroup::updateCustomerGroup();
						 $output['editcustgroup']=Display_DCustomerGroup::errorEditGroup($output['msg'] ); 
				         Bin_Template::createTemplate('editcustomergroup.html',$output);	
		        		
				
				
			}
		  
	    }
		else
		{
		$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
			
	}
	
	/**
	 * Function deletes the selected customer group
	 * at the admin side   
	 * 
	 * @return array
	 */
	
	function deleteCustomerGroup()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		$chkuser=Core_CRoleChecking::checkRoles();
 	    include('classes/Core/CCustomerGroup.php');
		if($chkuser)
		{
		   $_SESSION['update_msg'] =  Core_CCustomerGroup::deleteCustomerGroup();	
		   header("Location:?do=custgroup");
		   exit;
		}
		else
		{
		 $output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		 
	}
	
	/**
	 * Function adds a new customer group
	 * 
	 * 
	 * @return array
	 */
	
	function insertCustomerGroup()
	{
		include('classes/Lib/CheckInputs.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		$obj = new Lib_CheckInputs('customergroup');
		
		include('classes/Core/CRoleChecking.php');
	    include('classes/Core/CCustomerGroup.php');
		include('classes/Display/DCustomerGroup.php');	
		$chkuser=Core_CRoleChecking::checkRoles();
		
		$checkCustGroupExists=Core_CCustomerGroup::checkCustGroupExists();
			
		
		
		if($chkuser)
		{
			if ($checkCustGroupExists)
			{
				$output['errmsg'] = '<div class="error_msgbox"> Customer Group Already Exists</div>';
				$output['subadmin'] =   Core_CCustomerGroup::displayCustomerGroup($Err);
				$output['ajaxlist'] =   Core_CCustomerGroup::displayAjaxCustGroup($Err);
				Bin_Template::createTemplate('customergroup.html',$output);				
				 
			
				
			}	
			else
			{    
			    $output['msg'] = Core_CCustomerGroup::insertCustomerGroup();
				$output['subadmin'] =   Core_CCustomerGroup::displayCustomerGroup($Err);
				$output['ajaxlist'] =   Core_CCustomerGroup::displayAjaxCustGroup($Err);
				Bin_Template::createTemplate('customergroup.html',$output);				
				
				
			}
		  
	    }
		else
		{
		$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		  
	}
	

}
?>