<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * MQuickMenu
 *
 * This class contains functions to update the dashboard items
 * from admin side.
 * @package		Model_MDashboardSettings
 * @category	Model
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Model_MDashboardSettings
{
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	
	var $output = array();
	
	/**
	 * Function use to show the status of dashboard items 
	 * 
	 * 
	 * @return array
	 */
	
	
	function showDashSettings()
	{
		include('classes/Core/Settings/CDashboardSettings.php');
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
		   
			$output['dashitems']=Core_Settings_CDashboardSettings::displayDashItems();
			
			Bin_Template::createTemplate('dasboardsettings.html',$output);
			unset($_SESSION['updatemsg']);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}			
	
	}
	
	/**
	 * Function use to update  dashboard items;  
	 * 
	 * 
	 * @return array
	 */
	 
	function disableDashItems()
	{
		include('classes/Core/Settings/CDashboardSettings.php');
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
		   
			$output['msg']=Core_Settings_CDashboardSettings::disableDashItems();
			 header("location:?do=showdashsettings");
			
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}		
	}
	
	
	
	
	 
	
	
}
?>