<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * MQuickMenu
 *
 * This class contains functions to update the quick menu  
 * from admin side.
 * @package		Model_MQuickMenu
 * @category	Model
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Model_MQuickMenu
{
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	
	var $output = array();
	
	/**
	 * Function use to add quick menu  
	 * 
	 * 
	 * @return array
	 */
	
	
	function addQuickmenu()
	{
		include('classes/Core/CQuickMenu.php');
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			$default = new Core_CQuickMenu();
			$output['ajaxlist']=$default->addQuickmenu();
			Bin_Template::createTemplate('ajaxcontent.html',$output);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}			
	
	}
	
	/**
	 * Function use to view quick menu  
	 * 
	 * 
	 * @return array
	 */
	 
	function viewQuickmenu()
	{
		include('classes/Core/CQuickMenu.php');
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			$default = new Core_CQuickMenu();
			$output['ajaxlist']=$default->viewQuickmenu();//echo 'df1';exit;
			Bin_Template::createTemplate('ajaxcontent.html',$output);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	
	function viewSettingmenu()
	{
		include('classes/Core/CQuickMenu.php');
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		//if($chkuser)
//		{
			$default = new Core_CQuickMenu();
			$output['ajaxlist']=$default->viewSettingmenu();//echo 'df1';exit;
			Bin_Template::createTemplate('ajaxcontent.html',$output);
		//}
//		else
//		{
//		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
//			Bin_Template::createTemplate('Errors.html',$output);
//		}
	}
	
	/**
	 * Function use to show quick menu list
	 * 
	 * 
	 * @return array
	 */
	 
	function showQuickMenuList()
	{
		include('classes/Core/CQuickMenu.php');
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			$default = new Core_CQuickMenu();
			$output['quickmenulist']=$default->showQuickMenuList();
			Bin_Template::createTemplate('QuickMenuManagement.html',$output);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	
	/**
	 * Function use to delete quick menu list
	 * 
	 * 
	 * @return array
	 */
	 
	function deleteQuickmenuList()
	{
		include('classes/Core/CQuickMenu.php');
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			$default = new Core_CQuickMenu();
			$output['msg']=$default->deleteQuickmenuList();
			$output['quickmenulist']=$default->showQuickMenuList();
			Bin_Template::createTemplate('QuickMenuManagement.html',$output);
		}
		else
		{
		 	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	
}
?>