
<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/


/**
 * MSiteSettings
 *
 * This class contains functions to update the site moto 
 * 
 * @package		Model_MSiteSettings
 * @category	Model
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Model_MSiteSettings
{
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	
	var $output = array();
	
	/**
	 * Function displays a templates for updating the site moto 
	 * 
	 * 
	 * @return array
	 */
	
	function siteMoto()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['monthlyorders']= (int)Core_CAdminHome::monthlyOrders();
		$output['previousmonthorders']=(int)Core_CAdminHome::previousMonthOrders();
		$output['totalorders']=(int)Core_CAdminHome::totalOrders();
		$output['currentmonthuser']=(int)Core_CAdminHome::currentMonthUser();
		$output['previousmonthuser']=(int)Core_CAdminHome::previousMonthUser();
		$output['totalusers']=(int)Core_CAdminHome::totalUsers();
		$output['currentmonthincome']=Core_CAdminHome::currentMonthIncome();
		$output['previousmonthincome']=Core_CAdminHome::previoustMonthIncome();
		$output['totalincome']=Core_CAdminHome::totalIncome();
		$output['currentmonthproudctquantity']=(int)Core_CAdminHome::currentMonthProudctQuantity();
		$output['previousmonthproudctquantity']=(int)Core_CAdminHome::previousMonthProudctQuantity();
		$output['totalproudctquantity']=(int)Core_CAdminHome::totalProudctQuantity();
		$output['lowstock']=Core_CAdminHome::lowStock();
		$output['totalproducts']=Core_CAdminHome::totalProducts();		
		$output['enabledproducts']=Core_CAdminHome::enabledProducts();
		$output['disabledproducts']=Core_CAdminHome::disabledProducts();
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			include("classes/Core/Settings/CSiteSettings.php");
			include("classes/Display/DSiteSettings.php");
			$output['sitemoto'] = Core_Settings_CSiteSettings::siteMoto();
			Bin_Template::createTemplate('sitesettings.html',$output);	
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	
	/**
	 * Function updates the changes made in the site moto 
	 * 
	 * 
	 * @return array
	 */
	
	function updateSiteMoto()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['monthlyorders']= (int)Core_CAdminHome::monthlyOrders();
		$output['previousmonthorders']=(int)Core_CAdminHome::previousMonthOrders();
		$output['totalorders']=(int)Core_CAdminHome::totalOrders();
		$output['currentmonthuser']=(int)Core_CAdminHome::currentMonthUser();
		$output['previousmonthuser']=(int)Core_CAdminHome::previousMonthUser();
		$output['totalusers']=(int)Core_CAdminHome::totalUsers();
		$output['currentmonthincome']=Core_CAdminHome::currentMonthIncome();
		$output['previousmonthincome']=Core_CAdminHome::previoustMonthIncome();
		$output['totalincome']=Core_CAdminHome::totalIncome();
		$output['currentmonthproudctquantity']=(int)Core_CAdminHome::currentMonthProudctQuantity();
		$output['previousmonthproudctquantity']=(int)Core_CAdminHome::previousMonthProudctQuantity();
		$output['totalproudctquantity']=(int)Core_CAdminHome::totalProudctQuantity();
		$output['lowstock']=Core_CAdminHome::lowStock();
		$output['totalproducts']=Core_CAdminHome::totalProducts();		
		$output['enabledproducts']=Core_CAdminHome::enabledProducts();
		$output['disabledproducts']=Core_CAdminHome::disabledProducts();
		$output['pendingorders']=(int)Core_CAdminHome::pendingOrders();
		$output['processingorders']=(int)Core_CAdminHome::processingOrders();
		$output['deliveredorders']=(int)Core_CAdminHome::deliveredOrders();
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			include("classes/Core/Settings/CSiteSettings.php");
			include("classes/Display/DSiteSettings.php");
			$output['sitemotomsg'] = Core_Settings_CSiteSettings::updateSiteMoto();		
			$output['sitemoto'] = Core_Settings_CSiteSettings::siteMoto();
			Bin_Template::createTemplate('sitesettings.html',$output);	
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	
	/**
	 * Function displays a templates for updating the site settings 
	 * 
	 * 
	 * @return array
	 */
	
	function siteSettings()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['monthlyorders']= (int)Core_CAdminHome::monthlyOrders();
		$output['previousmonthorders']=(int)Core_CAdminHome::previousMonthOrders();
		$output['totalorders']=(int)Core_CAdminHome::totalOrders();
		$output['currentmonthuser']=(int)Core_CAdminHome::currentMonthUser();
		$output['previousmonthuser']=(int)Core_CAdminHome::previousMonthUser();
		$output['totalusers']=(int)Core_CAdminHome::totalUsers();
		$output['currentmonthincome']=Core_CAdminHome::currentMonthIncome();
		$output['previousmonthincome']=Core_CAdminHome::previoustMonthIncome();
		$output['totalincome']=Core_CAdminHome::totalIncome();
		$output['currentmonthproudctquantity']=(int)Core_CAdminHome::currentMonthProudctQuantity();
		$output['previousmonthproudctquantity']=(int)Core_CAdminHome::previousMonthProudctQuantity();
		$output['totalproudctquantity']=(int)Core_CAdminHome::totalProudctQuantity();
		$output['lowstock']=Core_CAdminHome::lowStock();
		$output['totalproducts']=Core_CAdminHome::totalProducts();		
		$output['enabledproducts']=Core_CAdminHome::enabledProducts();
		$output['disabledproducts']=Core_CAdminHome::disabledProducts();
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			include("classes/Core/Settings/CSiteSettings.php");
			include("classes/Display/DSiteSettings.php");
			
			$output['sitemoto'] = Core_Settings_CSiteSettings::siteMoto();
			
			$output['timezone'] =   Core_Settings_CSiteSettings::timeZone();				
			//$output['currentzone'] =   Core_Settings_CSiteSettings::currentZone();
			$output['customheader'] = Core_Settings_CSiteSettings::showCustomHeader();
			$output['gcode'] =   Core_Settings_CSiteSettings::googleAnalyticsCode();
			$output['sitelogo'] = Core_Settings_CSiteSettings::siteLogo();	
			$output['banner'] = Core_Settings_CSiteSettings::homePageBanner();
			//$output['siteemail'] = Core_Settings_CSiteSettings::siteEmail();				
			$output['bannerurl'] = Core_Settings_CSiteSettings::homePageBannerUrl();
			//$output['showskin'] = Core_Settings_CSiteSettings::displaySkin();
			//$output['currentskin'] = Core_Settings_CSiteSettings::currentSkin();
			
			Bin_Template::createTemplate('Adminsitesettings.html',$output);
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	
	/**
	 * Function updates the site logo 
	 * 
	 * 
	 * @return array
	 */
	
	function updateSiteSettings()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['monthlyorders']= (int)Core_CAdminHome::monthlyOrders();
		$output['previousmonthorders']=(int)Core_CAdminHome::previousMonthOrders();
		$output['totalorders']=(int)Core_CAdminHome::totalOrders();
		$output['currentmonthuser']=(int)Core_CAdminHome::currentMonthUser();
		$output['previousmonthuser']=(int)Core_CAdminHome::previousMonthUser();
		$output['totalusers']=(int)Core_CAdminHome::totalUsers();
		$output['currentmonthincome']=Core_CAdminHome::currentMonthIncome();
		$output['previousmonthincome']=Core_CAdminHome::previoustMonthIncome();
		$output['totalincome']=Core_CAdminHome::totalIncome();
		$output['currentmonthproudctquantity']=(int)Core_CAdminHome::currentMonthProudctQuantity();
		$output['previousmonthproudctquantity']=(int)Core_CAdminHome::previousMonthProudctQuantity();
		$output['totalproudctquantity']=(int)Core_CAdminHome::totalProudctQuantity();
		$output['lowstock']=Core_CAdminHome::lowStock();
		$output['totalproducts']=Core_CAdminHome::totalProducts();		
		$output['enabledproducts']=Core_CAdminHome::enabledProducts();
		$output['disabledproducts']=Core_CAdminHome::disabledProducts();
		$output['pendingorders']=(int)Core_CAdminHome::pendingOrders();
		$output['processingorders']=(int)Core_CAdminHome::processingOrders();
		$output['deliveredorders']=(int)Core_CAdminHome::deliveredOrders();
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			include("classes/Core/Settings/CSiteSettings.php");
			include("classes/Display/DSiteSettings.php");
			//$output['sitelogo'] = Core_Settings_CSiteSettings::siteLogo();
			
			$output['sitesettingmsg'] = Core_Settings_CSiteSettings::updateSiteMoto();			
			$output['sitesettingmsg'] =   Core_Settings_CSiteSettings::updateTimeZone();	
			$output['sitesettingmsg'] = Core_Settings_CSiteSettings::updateCustomHeader();
			$output['sitesettingmsg'] =   Core_Settings_CSiteSettings::updateGoogleAnalytics();	
			$output['sitesettingmsg'] = Core_Settings_CSiteSettings::validationPage();	
			//$output['sitesettingmsg'] = Core_Settings_CSiteSettings::validationPage();
			//$output['sitesettingmsg']=Core_Settings_CSiteSettings::updateSkin();
			//$output['sitesettingmsg'] = Core_Settings_CSiteSettings::validationPage();	
			
			
				
			$output['sitemoto'] = Core_Settings_CSiteSettings::siteMoto();
				
			
			
			$output['timezone'] =   Core_Settings_CSiteSettings::timeZone();	
			//$output['currentzone'] =   Core_Settings_CSiteSettings::currentZone();
			$output['currentDate']=date('l, M d, Y H:i:s');		
			$output['currency_type']=$_SESSION['currency']['currency_tocken'];
			
			$output['customheader'] = Core_Settings_CSiteSettings::showCustomHeader();
			
			$output['gcode'] =   Core_Settings_CSiteSettings::googleAnalyticsCode();	
			$output['bannerurl'] = Core_Settings_CSiteSettings::homePageBannerUrl();			
			$output['sitelogo'] = Core_Settings_CSiteSettings::siteLogo();
			$output['banner'] = Core_Settings_CSiteSettings::homePageBanner();
			//$output['siteemail'] = Core_Settings_CSiteSettings::siteEmail();				
				
			
			//$output['showskin']=Core_Settings_CSiteSettings::displaySkin();
			//$output['currentskin'] =Core_Settings_CSiteSettings::currentSkin();
			Bin_Template::createTemplate('Adminsitesettings.html',$output);	
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
}	
?>