<?php
/**
* GNU General Public License.

* This file is part of ZeusCart V3.0.

* ZeusCart V3.0 is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
* 
* ZeusCart V3.0 is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with Foobar. If not, see <http://www.gnu.org/licenses/>.
*
*/

/**
 * MSubAdminManagement
 *
 * This class contains functions to  edit and delete the subadmin 
 * at the admin side.
 * @package		Model_MSubAdminManagement
 * @category	Model
 * @author		ZeusCart Team
 * @link		http://www.zeuscart.com
 * @version 	2.3
 */

// ------------------------------------------------------------------------


class Model_MSubAdminManagement
{
	/**
	 * Stores the output
	 *
	 * @var array $output
	 */	
	var $output = array();	
	
	/**
	 * Function displays the list of sub admin available 
	 * at the admin side   
	 * 
	 * @return array
	 */
	function dispSubAdmin()
	{
		include("classes/Lib/HandleErrors.php");
		$output['val']=$Err->values;
		$output['msg']=$Err->messages;
		include('classes/Core/CSubAdminManagement.php');
		include('classes/Display/DSubadminmanagement.php');		
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];				
	//	$output['category']=Core_CAdminHome::getCategory();
	//	$output['products']=Core_CAdminHome::getProducts();
	//	$output['ordercount']= Core_CAdminHome::getOrderCount();
	//	$output['customers']=Core_CAdminHome::getCustomers();
		
		//include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		//$output['currentDate']=date('Y-m-d , H:m:s');		
/*<!--		$output['category']= (int) Core_CAdminHome::getCategory();
		$output['products']= (int) Core_CAdminHome::getProducts();
		$output['ordercount']= (int) Core_CAdminHome::getOrderCount();
		$output['customers']= (int) Core_CAdminHome::getCustomers();-->*/
		
				
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			$output['errmsg']=$_SESSION['update_msg'];
			unset($_SESSION['update_msg']);		
			$output['subadmin'] =   Core_CSubadminmanagement::displaySubAdmin($Err);
			$output['ajaxlist'] =   Core_CSubadminmanagement::displayAjaxSubAdmin($Err);	
			Bin_Template::createTemplate('Subadminmanagement.html',$output);				
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		
	}	
	
	
	function displayAjaxSubAdmin()
	{
		include('classes/Core/CSubAdminManagement.php');
		include('classes/Display/DSubadminmanagement.php');		
		include('classes/Core/CRoleChecking.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
		$output['ajaxlist'] =  Core_CSubadminmanagement::displayAjaxSubAdmin($Err);	
		Bin_Template::createTemplate('ajaxcontent.html',$output);
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
	}
	
	
	
	/**
	 * Function displays the list of roles available for sub admin for updation 
	 * 
	 * 
	 * @return array
	 */
	
	function editSubAdmin()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		$chkuser=Core_CRoleChecking::checkRoles();
		include('classes/Core/CSubAdminManagement.php');
		include('classes/Display/DSubadminmanagement.php');
		if($chkuser)
		{
			$output['editsubadmin'] =   Core_CSubadminmanagement::displaySelectedSubAdmin();
			Bin_Template::createTemplate('editsubadminmanagement.html',$output);				
		}
		else
		{
			$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		
	}	
	
	/**
	 * Function updates the changes made in the sub admin roles
	 * 
	 * 
	 * @return array
	 */
	
	function updateSubAdmin()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		include('classes/Core/CSubAdminManagement.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		if($chkuser)
		{
			 $_SESSION['update_msg'] =  Core_CSubadminmanagement::updateSubAdmin();	
			header("Location:?do=subadminmgt");		
			exit;	
		}
		else
		{
		   	$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
			
	}
	
	/**
	 * Function deletes the roles available for the selected subadmin 
	 * at the admin side   
	 * 
	 * @return array
	 */
	
	function deleteSubAdmin()
	{
		include('classes/Core/CRoleChecking.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		$chkuser=Core_CRoleChecking::checkRoles();
 	    include('classes/Core/CSubAdminManagement.php');
		if($chkuser)
		{
		   $_SESSION['update_msg'] =  Core_CSubadminmanagement::deleteSubAdmin();	
		   header("Location:?do=subadminmgt");
		   exit;
		}
		else
		{
		 $output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		 
	}
	
	/**
	 * Function adds a new sub admin role 
	 * 
	 * 
	 * @return array
	 */
	
	function insertSubAdmin()
	{
		include('classes/Lib/CheckInputs.php');
		include('classes/Core/CAdminHome.php');
		$output['username']=Core_CAdminHome::userName();
		$output['currentDate']=date('l, M d, Y H:i:s');	
		$output['currency_type']=$_SESSION['currency']['currency_tocken'];			
		$output['category']=Core_CAdminHome::getCategory();
		$output['products']=Core_CAdminHome::getProducts();
		$output['ordercount']= Core_CAdminHome::getOrderCount();		
		$output['customers']=Core_CAdminHome::getCustomers();
		$obj = new Lib_CheckInputs('subadminmail');
		include('classes/Core/CRoleChecking.php');
	    include('classes/Core/CSubAdminManagement.php');
		$chkuser=Core_CRoleChecking::checkRoles();
		
		$checkUserExists=Core_CSubadminmanagement::checkSubadminExists();
		
		
		if($chkuser)
		{
			if ($checkUserExists)
			{
				
			$_SESSION['update_msg'] = '<div class="error_msgbox">Sub Admin User Already Exists</div>';
			header("Location:?do=subadminmgt");
				
			}	
			else
			{
				$_SESSION['update_msg'] = Core_CSubadminmanagement::insertSubAdmin();	
		        header("Location:?do=subadminmgt");
			}
		  	exit;
	    }
		else
		{
		$output['usererr'] = 'You are Not having Privilege to view this page contact your Admin for detail';
			Bin_Template::createTemplate('Errors.html',$output);
		}
		  
	}
	

}
?>